require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_ASM_UNISTD_H)) {
    eval 'sub _ASM_UNISTD_H () {1;}' unless defined(&_ASM_UNISTD_H);
    require 'asm/sgidefs.ph';
    if((defined(&_MIPS_SIM) ? &_MIPS_SIM : undef) == (defined(&_MIPS_SIM_ABI32) ? &_MIPS_SIM_ABI32 : undef)) {
	eval 'sub __NR_Linux () {4000;}' unless defined(&__NR_Linux);
	eval 'sub __NR_syscall () {( &__NR_Linux + 0);}' unless defined(&__NR_syscall);
	eval 'sub __NR_exit () {( &__NR_Linux + 1);}' unless defined(&__NR_exit);
	eval 'sub __NR_fork () {( &__NR_Linux + 2);}' unless defined(&__NR_fork);
	eval 'sub __NR_read () {( &__NR_Linux + 3);}' unless defined(&__NR_read);
	eval 'sub __NR_write () {( &__NR_Linux + 4);}' unless defined(&__NR_write);
	eval 'sub __NR_open () {( &__NR_Linux + 5);}' unless defined(&__NR_open);
	eval 'sub __NR_close () {( &__NR_Linux + 6);}' unless defined(&__NR_close);
	eval 'sub __NR_waitpid () {( &__NR_Linux + 7);}' unless defined(&__NR_waitpid);
	eval 'sub __NR_creat () {( &__NR_Linux + 8);}' unless defined(&__NR_creat);
	eval 'sub __NR_link () {( &__NR_Linux + 9);}' unless defined(&__NR_link);
	eval 'sub __NR_unlink () {( &__NR_Linux + 10);}' unless defined(&__NR_unlink);
	eval 'sub __NR_execve () {( &__NR_Linux + 11);}' unless defined(&__NR_execve);
	eval 'sub __NR_chdir () {( &__NR_Linux + 12);}' unless defined(&__NR_chdir);
	eval 'sub __NR_time () {( &__NR_Linux + 13);}' unless defined(&__NR_time);
	eval 'sub __NR_mknod () {( &__NR_Linux + 14);}' unless defined(&__NR_mknod);
	eval 'sub __NR_chmod () {( &__NR_Linux + 15);}' unless defined(&__NR_chmod);
	eval 'sub __NR_lchown () {( &__NR_Linux + 16);}' unless defined(&__NR_lchown);
	eval 'sub __NR_break () {( &__NR_Linux + 17);}' unless defined(&__NR_break);
	eval 'sub __NR_unused18 () {( &__NR_Linux + 18);}' unless defined(&__NR_unused18);
	eval 'sub __NR_lseek () {( &__NR_Linux + 19);}' unless defined(&__NR_lseek);
	eval 'sub __NR_getpid () {( &__NR_Linux + 20);}' unless defined(&__NR_getpid);
	eval 'sub __NR_mount () {( &__NR_Linux + 21);}' unless defined(&__NR_mount);
	eval 'sub __NR_umount () {( &__NR_Linux + 22);}' unless defined(&__NR_umount);
	eval 'sub __NR_setuid () {( &__NR_Linux + 23);}' unless defined(&__NR_setuid);
	eval 'sub __NR_getuid () {( &__NR_Linux + 24);}' unless defined(&__NR_getuid);
	eval 'sub __NR_stime () {( &__NR_Linux + 25);}' unless defined(&__NR_stime);
	eval 'sub __NR_ptrace () {( &__NR_Linux + 26);}' unless defined(&__NR_ptrace);
	eval 'sub __NR_alarm () {( &__NR_Linux + 27);}' unless defined(&__NR_alarm);
	eval 'sub __NR_unused28 () {( &__NR_Linux + 28);}' unless defined(&__NR_unused28);
	eval 'sub __NR_pause () {( &__NR_Linux + 29);}' unless defined(&__NR_pause);
	eval 'sub __NR_utime () {( &__NR_Linux + 30);}' unless defined(&__NR_utime);
	eval 'sub __NR_stty () {( &__NR_Linux + 31);}' unless defined(&__NR_stty);
	eval 'sub __NR_gtty () {( &__NR_Linux + 32);}' unless defined(&__NR_gtty);
	eval 'sub __NR_access () {( &__NR_Linux + 33);}' unless defined(&__NR_access);
	eval 'sub __NR_nice () {( &__NR_Linux + 34);}' unless defined(&__NR_nice);
	eval 'sub __NR_ftime () {( &__NR_Linux + 35);}' unless defined(&__NR_ftime);
	eval 'sub __NR_sync () {( &__NR_Linux + 36);}' unless defined(&__NR_sync);
	eval 'sub __NR_kill () {( &__NR_Linux + 37);}' unless defined(&__NR_kill);
	eval 'sub __NR_rename () {( &__NR_Linux + 38);}' unless defined(&__NR_rename);
	eval 'sub __NR_mkdir () {( &__NR_Linux + 39);}' unless defined(&__NR_mkdir);
	eval 'sub __NR_rmdir () {( &__NR_Linux + 40);}' unless defined(&__NR_rmdir);
	eval 'sub __NR_dup () {( &__NR_Linux + 41);}' unless defined(&__NR_dup);
	eval 'sub __NR_pipe () {( &__NR_Linux + 42);}' unless defined(&__NR_pipe);
	eval 'sub __NR_times () {( &__NR_Linux + 43);}' unless defined(&__NR_times);
	eval 'sub __NR_prof () {( &__NR_Linux + 44);}' unless defined(&__NR_prof);
	eval 'sub __NR_brk () {( &__NR_Linux + 45);}' unless defined(&__NR_brk);
	eval 'sub __NR_setgid () {( &__NR_Linux + 46);}' unless defined(&__NR_setgid);
	eval 'sub __NR_getgid () {( &__NR_Linux + 47);}' unless defined(&__NR_getgid);
	eval 'sub __NR_signal () {( &__NR_Linux + 48);}' unless defined(&__NR_signal);
	eval 'sub __NR_geteuid () {( &__NR_Linux + 49);}' unless defined(&__NR_geteuid);
	eval 'sub __NR_getegid () {( &__NR_Linux + 50);}' unless defined(&__NR_getegid);
	eval 'sub __NR_acct () {( &__NR_Linux + 51);}' unless defined(&__NR_acct);
	eval 'sub __NR_umount2 () {( &__NR_Linux + 52);}' unless defined(&__NR_umount2);
	eval 'sub __NR_lock () {( &__NR_Linux + 53);}' unless defined(&__NR_lock);
	eval 'sub __NR_ioctl () {( &__NR_Linux + 54);}' unless defined(&__NR_ioctl);
	eval 'sub __NR_fcntl () {( &__NR_Linux + 55);}' unless defined(&__NR_fcntl);
	eval 'sub __NR_mpx () {( &__NR_Linux + 56);}' unless defined(&__NR_mpx);
	eval 'sub __NR_setpgid () {( &__NR_Linux + 57);}' unless defined(&__NR_setpgid);
	eval 'sub __NR_ulimit () {( &__NR_Linux + 58);}' unless defined(&__NR_ulimit);
	eval 'sub __NR_unused59 () {( &__NR_Linux + 59);}' unless defined(&__NR_unused59);
	eval 'sub __NR_umask () {( &__NR_Linux + 60);}' unless defined(&__NR_umask);
	eval 'sub __NR_chroot () {( &__NR_Linux + 61);}' unless defined(&__NR_chroot);
	eval 'sub __NR_ustat () {( &__NR_Linux + 62);}' unless defined(&__NR_ustat);
	eval 'sub __NR_dup2 () {( &__NR_Linux + 63);}' unless defined(&__NR_dup2);
	eval 'sub __NR_getppid () {( &__NR_Linux + 64);}' unless defined(&__NR_getppid);
	eval 'sub __NR_getpgrp () {( &__NR_Linux + 65);}' unless defined(&__NR_getpgrp);
	eval 'sub __NR_setsid () {( &__NR_Linux + 66);}' unless defined(&__NR_setsid);
	eval 'sub __NR_sigaction () {( &__NR_Linux + 67);}' unless defined(&__NR_sigaction);
	eval 'sub __NR_sgetmask () {( &__NR_Linux + 68);}' unless defined(&__NR_sgetmask);
	eval 'sub __NR_ssetmask () {( &__NR_Linux + 69);}' unless defined(&__NR_ssetmask);
	eval 'sub __NR_setreuid () {( &__NR_Linux + 70);}' unless defined(&__NR_setreuid);
	eval 'sub __NR_setregid () {( &__NR_Linux + 71);}' unless defined(&__NR_setregid);
	eval 'sub __NR_sigsuspend () {( &__NR_Linux + 72);}' unless defined(&__NR_sigsuspend);
	eval 'sub __NR_sigpending () {( &__NR_Linux + 73);}' unless defined(&__NR_sigpending);
	eval 'sub __NR_sethostname () {( &__NR_Linux + 74);}' unless defined(&__NR_sethostname);
	eval 'sub __NR_setrlimit () {( &__NR_Linux + 75);}' unless defined(&__NR_setrlimit);
	eval 'sub __NR_getrlimit () {( &__NR_Linux + 76);}' unless defined(&__NR_getrlimit);
	eval 'sub __NR_getrusage () {( &__NR_Linux + 77);}' unless defined(&__NR_getrusage);
	eval 'sub __NR_gettimeofday () {( &__NR_Linux + 78);}' unless defined(&__NR_gettimeofday);
	eval 'sub __NR_settimeofday () {( &__NR_Linux + 79);}' unless defined(&__NR_settimeofday);
	eval 'sub __NR_getgroups () {( &__NR_Linux + 80);}' unless defined(&__NR_getgroups);
	eval 'sub __NR_setgroups () {( &__NR_Linux + 81);}' unless defined(&__NR_setgroups);
	eval 'sub __NR_reserved82 () {( &__NR_Linux + 82);}' unless defined(&__NR_reserved82);
	eval 'sub __NR_symlink () {( &__NR_Linux + 83);}' unless defined(&__NR_symlink);
	eval 'sub __NR_unused84 () {( &__NR_Linux + 84);}' unless defined(&__NR_unused84);
	eval 'sub __NR_readlink () {( &__NR_Linux + 85);}' unless defined(&__NR_readlink);
	eval 'sub __NR_uselib () {( &__NR_Linux + 86);}' unless defined(&__NR_uselib);
	eval 'sub __NR_swapon () {( &__NR_Linux + 87);}' unless defined(&__NR_swapon);
	eval 'sub __NR_reboot () {( &__NR_Linux + 88);}' unless defined(&__NR_reboot);
	eval 'sub __NR_readdir () {( &__NR_Linux + 89);}' unless defined(&__NR_readdir);
	eval 'sub __NR_mmap () {( &__NR_Linux + 90);}' unless defined(&__NR_mmap);
	eval 'sub __NR_munmap () {( &__NR_Linux + 91);}' unless defined(&__NR_munmap);
	eval 'sub __NR_truncate () {( &__NR_Linux + 92);}' unless defined(&__NR_truncate);
	eval 'sub __NR_ftruncate () {( &__NR_Linux + 93);}' unless defined(&__NR_ftruncate);
	eval 'sub __NR_fchmod () {( &__NR_Linux + 94);}' unless defined(&__NR_fchmod);
	eval 'sub __NR_fchown () {( &__NR_Linux + 95);}' unless defined(&__NR_fchown);
	eval 'sub __NR_getpriority () {( &__NR_Linux + 96);}' unless defined(&__NR_getpriority);
	eval 'sub __NR_setpriority () {( &__NR_Linux + 97);}' unless defined(&__NR_setpriority);
	eval 'sub __NR_profil () {( &__NR_Linux + 98);}' unless defined(&__NR_profil);
	eval 'sub __NR_statfs () {( &__NR_Linux + 99);}' unless defined(&__NR_statfs);
	eval 'sub __NR_fstatfs () {( &__NR_Linux + 100);}' unless defined(&__NR_fstatfs);
	eval 'sub __NR_ioperm () {( &__NR_Linux + 101);}' unless defined(&__NR_ioperm);
	eval 'sub __NR_socketcall () {( &__NR_Linux + 102);}' unless defined(&__NR_socketcall);
	eval 'sub __NR_syslog () {( &__NR_Linux + 103);}' unless defined(&__NR_syslog);
	eval 'sub __NR_setitimer () {( &__NR_Linux + 104);}' unless defined(&__NR_setitimer);
	eval 'sub __NR_getitimer () {( &__NR_Linux + 105);}' unless defined(&__NR_getitimer);
	eval 'sub __NR_stat () {( &__NR_Linux + 106);}' unless defined(&__NR_stat);
	eval 'sub __NR_lstat () {( &__NR_Linux + 107);}' unless defined(&__NR_lstat);
	eval 'sub __NR_fstat () {( &__NR_Linux + 108);}' unless defined(&__NR_fstat);
	eval 'sub __NR_unused109 () {( &__NR_Linux + 109);}' unless defined(&__NR_unused109);
	eval 'sub __NR_iopl () {( &__NR_Linux + 110);}' unless defined(&__NR_iopl);
	eval 'sub __NR_vhangup () {( &__NR_Linux + 111);}' unless defined(&__NR_vhangup);
	eval 'sub __NR_idle () {( &__NR_Linux + 112);}' unless defined(&__NR_idle);
	eval 'sub __NR_vm86 () {( &__NR_Linux + 113);}' unless defined(&__NR_vm86);
	eval 'sub __NR_wait4 () {( &__NR_Linux + 114);}' unless defined(&__NR_wait4);
	eval 'sub __NR_swapoff () {( &__NR_Linux + 115);}' unless defined(&__NR_swapoff);
	eval 'sub __NR_sysinfo () {( &__NR_Linux + 116);}' unless defined(&__NR_sysinfo);
	eval 'sub __NR_ipc () {( &__NR_Linux + 117);}' unless defined(&__NR_ipc);
	eval 'sub __NR_fsync () {( &__NR_Linux + 118);}' unless defined(&__NR_fsync);
	eval 'sub __NR_sigreturn () {( &__NR_Linux + 119);}' unless defined(&__NR_sigreturn);
	eval 'sub __NR_clone () {( &__NR_Linux + 120);}' unless defined(&__NR_clone);
	eval 'sub __NR_setdomainname () {( &__NR_Linux + 121);}' unless defined(&__NR_setdomainname);
	eval 'sub __NR_uname () {( &__NR_Linux + 122);}' unless defined(&__NR_uname);
	eval 'sub __NR_modify_ldt () {( &__NR_Linux + 123);}' unless defined(&__NR_modify_ldt);
	eval 'sub __NR_adjtimex () {( &__NR_Linux + 124);}' unless defined(&__NR_adjtimex);
	eval 'sub __NR_mprotect () {( &__NR_Linux + 125);}' unless defined(&__NR_mprotect);
	eval 'sub __NR_sigprocmask () {( &__NR_Linux + 126);}' unless defined(&__NR_sigprocmask);
	eval 'sub __NR_create_module () {( &__NR_Linux + 127);}' unless defined(&__NR_create_module);
	eval 'sub __NR_init_module () {( &__NR_Linux + 128);}' unless defined(&__NR_init_module);
	eval 'sub __NR_delete_module () {( &__NR_Linux + 129);}' unless defined(&__NR_delete_module);
	eval 'sub __NR_get_kernel_syms () {( &__NR_Linux + 130);}' unless defined(&__NR_get_kernel_syms);
	eval 'sub __NR_quotactl () {( &__NR_Linux + 131);}' unless defined(&__NR_quotactl);
	eval 'sub __NR_getpgid () {( &__NR_Linux + 132);}' unless defined(&__NR_getpgid);
	eval 'sub __NR_fchdir () {( &__NR_Linux + 133);}' unless defined(&__NR_fchdir);
	eval 'sub __NR_bdflush () {( &__NR_Linux + 134);}' unless defined(&__NR_bdflush);
	eval 'sub __NR_sysfs () {( &__NR_Linux + 135);}' unless defined(&__NR_sysfs);
	eval 'sub __NR_personality () {( &__NR_Linux + 136);}' unless defined(&__NR_personality);
	eval 'sub __NR_afs_syscall () {( &__NR_Linux + 137);}' unless defined(&__NR_afs_syscall);
	eval 'sub __NR_setfsuid () {( &__NR_Linux + 138);}' unless defined(&__NR_setfsuid);
	eval 'sub __NR_setfsgid () {( &__NR_Linux + 139);}' unless defined(&__NR_setfsgid);
	eval 'sub __NR__llseek () {( &__NR_Linux + 140);}' unless defined(&__NR__llseek);
	eval 'sub __NR_getdents () {( &__NR_Linux + 141);}' unless defined(&__NR_getdents);
	eval 'sub __NR__newselect () {( &__NR_Linux + 142);}' unless defined(&__NR__newselect);
	eval 'sub __NR_flock () {( &__NR_Linux + 143);}' unless defined(&__NR_flock);
	eval 'sub __NR_msync () {( &__NR_Linux + 144);}' unless defined(&__NR_msync);
	eval 'sub __NR_readv () {( &__NR_Linux + 145);}' unless defined(&__NR_readv);
	eval 'sub __NR_writev () {( &__NR_Linux + 146);}' unless defined(&__NR_writev);
	eval 'sub __NR_cacheflush () {( &__NR_Linux + 147);}' unless defined(&__NR_cacheflush);
	eval 'sub __NR_cachectl () {( &__NR_Linux + 148);}' unless defined(&__NR_cachectl);
	eval 'sub __NR_sysmips () {( &__NR_Linux + 149);}' unless defined(&__NR_sysmips);
	eval 'sub __NR_unused150 () {( &__NR_Linux + 150);}' unless defined(&__NR_unused150);
	eval 'sub __NR_getsid () {( &__NR_Linux + 151);}' unless defined(&__NR_getsid);
	eval 'sub __NR_fdatasync () {( &__NR_Linux + 152);}' unless defined(&__NR_fdatasync);
	eval 'sub __NR__sysctl () {( &__NR_Linux + 153);}' unless defined(&__NR__sysctl);
	eval 'sub __NR_mlock () {( &__NR_Linux + 154);}' unless defined(&__NR_mlock);
	eval 'sub __NR_munlock () {( &__NR_Linux + 155);}' unless defined(&__NR_munlock);
	eval 'sub __NR_mlockall () {( &__NR_Linux + 156);}' unless defined(&__NR_mlockall);
	eval 'sub __NR_munlockall () {( &__NR_Linux + 157);}' unless defined(&__NR_munlockall);
	eval 'sub __NR_sched_setparam () {( &__NR_Linux + 158);}' unless defined(&__NR_sched_setparam);
	eval 'sub __NR_sched_getparam () {( &__NR_Linux + 159);}' unless defined(&__NR_sched_getparam);
	eval 'sub __NR_sched_setscheduler () {( &__NR_Linux + 160);}' unless defined(&__NR_sched_setscheduler);
	eval 'sub __NR_sched_getscheduler () {( &__NR_Linux + 161);}' unless defined(&__NR_sched_getscheduler);
	eval 'sub __NR_sched_yield () {( &__NR_Linux + 162);}' unless defined(&__NR_sched_yield);
	eval 'sub __NR_sched_get_priority_max () {( &__NR_Linux + 163);}' unless defined(&__NR_sched_get_priority_max);
	eval 'sub __NR_sched_get_priority_min () {( &__NR_Linux + 164);}' unless defined(&__NR_sched_get_priority_min);
	eval 'sub __NR_sched_rr_get_interval () {( &__NR_Linux + 165);}' unless defined(&__NR_sched_rr_get_interval);
	eval 'sub __NR_nanosleep () {( &__NR_Linux + 166);}' unless defined(&__NR_nanosleep);
	eval 'sub __NR_mremap () {( &__NR_Linux + 167);}' unless defined(&__NR_mremap);
	eval 'sub __NR_accept () {( &__NR_Linux + 168);}' unless defined(&__NR_accept);
	eval 'sub __NR_bind () {( &__NR_Linux + 169);}' unless defined(&__NR_bind);
	eval 'sub __NR_connect () {( &__NR_Linux + 170);}' unless defined(&__NR_connect);
	eval 'sub __NR_getpeername () {( &__NR_Linux + 171);}' unless defined(&__NR_getpeername);
	eval 'sub __NR_getsockname () {( &__NR_Linux + 172);}' unless defined(&__NR_getsockname);
	eval 'sub __NR_getsockopt () {( &__NR_Linux + 173);}' unless defined(&__NR_getsockopt);
	eval 'sub __NR_listen () {( &__NR_Linux + 174);}' unless defined(&__NR_listen);
	eval 'sub __NR_recv () {( &__NR_Linux + 175);}' unless defined(&__NR_recv);
	eval 'sub __NR_recvfrom () {( &__NR_Linux + 176);}' unless defined(&__NR_recvfrom);
	eval 'sub __NR_recvmsg () {( &__NR_Linux + 177);}' unless defined(&__NR_recvmsg);
	eval 'sub __NR_send () {( &__NR_Linux + 178);}' unless defined(&__NR_send);
	eval 'sub __NR_sendmsg () {( &__NR_Linux + 179);}' unless defined(&__NR_sendmsg);
	eval 'sub __NR_sendto () {( &__NR_Linux + 180);}' unless defined(&__NR_sendto);
	eval 'sub __NR_setsockopt () {( &__NR_Linux + 181);}' unless defined(&__NR_setsockopt);
	eval 'sub __NR_shutdown () {( &__NR_Linux + 182);}' unless defined(&__NR_shutdown);
	eval 'sub __NR_socket () {( &__NR_Linux + 183);}' unless defined(&__NR_socket);
	eval 'sub __NR_socketpair () {( &__NR_Linux + 184);}' unless defined(&__NR_socketpair);
	eval 'sub __NR_setresuid () {( &__NR_Linux + 185);}' unless defined(&__NR_setresuid);
	eval 'sub __NR_getresuid () {( &__NR_Linux + 186);}' unless defined(&__NR_getresuid);
	eval 'sub __NR_query_module () {( &__NR_Linux + 187);}' unless defined(&__NR_query_module);
	eval 'sub __NR_poll () {( &__NR_Linux + 188);}' unless defined(&__NR_poll);
	eval 'sub __NR_nfsservctl () {( &__NR_Linux + 189);}' unless defined(&__NR_nfsservctl);
	eval 'sub __NR_setresgid () {( &__NR_Linux + 190);}' unless defined(&__NR_setresgid);
	eval 'sub __NR_getresgid () {( &__NR_Linux + 191);}' unless defined(&__NR_getresgid);
	eval 'sub __NR_prctl () {( &__NR_Linux + 192);}' unless defined(&__NR_prctl);
	eval 'sub __NR_rt_sigreturn () {( &__NR_Linux + 193);}' unless defined(&__NR_rt_sigreturn);
	eval 'sub __NR_rt_sigaction () {( &__NR_Linux + 194);}' unless defined(&__NR_rt_sigaction);
	eval 'sub __NR_rt_sigprocmask () {( &__NR_Linux + 195);}' unless defined(&__NR_rt_sigprocmask);
	eval 'sub __NR_rt_sigpending () {( &__NR_Linux + 196);}' unless defined(&__NR_rt_sigpending);
	eval 'sub __NR_rt_sigtimedwait () {( &__NR_Linux + 197);}' unless defined(&__NR_rt_sigtimedwait);
	eval 'sub __NR_rt_sigqueueinfo () {( &__NR_Linux + 198);}' unless defined(&__NR_rt_sigqueueinfo);
	eval 'sub __NR_rt_sigsuspend () {( &__NR_Linux + 199);}' unless defined(&__NR_rt_sigsuspend);
	eval 'sub __NR_pread64 () {( &__NR_Linux + 200);}' unless defined(&__NR_pread64);
	eval 'sub __NR_pwrite64 () {( &__NR_Linux + 201);}' unless defined(&__NR_pwrite64);
	eval 'sub __NR_chown () {( &__NR_Linux + 202);}' unless defined(&__NR_chown);
	eval 'sub __NR_getcwd () {( &__NR_Linux + 203);}' unless defined(&__NR_getcwd);
	eval 'sub __NR_capget () {( &__NR_Linux + 204);}' unless defined(&__NR_capget);
	eval 'sub __NR_capset () {( &__NR_Linux + 205);}' unless defined(&__NR_capset);
	eval 'sub __NR_sigaltstack () {( &__NR_Linux + 206);}' unless defined(&__NR_sigaltstack);
	eval 'sub __NR_sendfile () {( &__NR_Linux + 207);}' unless defined(&__NR_sendfile);
	eval 'sub __NR_getpmsg () {( &__NR_Linux + 208);}' unless defined(&__NR_getpmsg);
	eval 'sub __NR_putpmsg () {( &__NR_Linux + 209);}' unless defined(&__NR_putpmsg);
	eval 'sub __NR_mmap2 () {( &__NR_Linux + 210);}' unless defined(&__NR_mmap2);
	eval 'sub __NR_truncate64 () {( &__NR_Linux + 211);}' unless defined(&__NR_truncate64);
	eval 'sub __NR_ftruncate64 () {( &__NR_Linux + 212);}' unless defined(&__NR_ftruncate64);
	eval 'sub __NR_stat64 () {( &__NR_Linux + 213);}' unless defined(&__NR_stat64);
	eval 'sub __NR_lstat64 () {( &__NR_Linux + 214);}' unless defined(&__NR_lstat64);
	eval 'sub __NR_fstat64 () {( &__NR_Linux + 215);}' unless defined(&__NR_fstat64);
	eval 'sub __NR_pivot_root () {( &__NR_Linux + 216);}' unless defined(&__NR_pivot_root);
	eval 'sub __NR_mincore () {( &__NR_Linux + 217);}' unless defined(&__NR_mincore);
	eval 'sub __NR_madvise () {( &__NR_Linux + 218);}' unless defined(&__NR_madvise);
	eval 'sub __NR_getdents64 () {( &__NR_Linux + 219);}' unless defined(&__NR_getdents64);
	eval 'sub __NR_fcntl64 () {( &__NR_Linux + 220);}' unless defined(&__NR_fcntl64);
	eval 'sub __NR_reserved221 () {( &__NR_Linux + 221);}' unless defined(&__NR_reserved221);
	eval 'sub __NR_gettid () {( &__NR_Linux + 222);}' unless defined(&__NR_gettid);
	eval 'sub __NR_readahead () {( &__NR_Linux + 223);}' unless defined(&__NR_readahead);
	eval 'sub __NR_setxattr () {( &__NR_Linux + 224);}' unless defined(&__NR_setxattr);
	eval 'sub __NR_lsetxattr () {( &__NR_Linux + 225);}' unless defined(&__NR_lsetxattr);
	eval 'sub __NR_fsetxattr () {( &__NR_Linux + 226);}' unless defined(&__NR_fsetxattr);
	eval 'sub __NR_getxattr () {( &__NR_Linux + 227);}' unless defined(&__NR_getxattr);
	eval 'sub __NR_lgetxattr () {( &__NR_Linux + 228);}' unless defined(&__NR_lgetxattr);
	eval 'sub __NR_fgetxattr () {( &__NR_Linux + 229);}' unless defined(&__NR_fgetxattr);
	eval 'sub __NR_listxattr () {( &__NR_Linux + 230);}' unless defined(&__NR_listxattr);
	eval 'sub __NR_llistxattr () {( &__NR_Linux + 231);}' unless defined(&__NR_llistxattr);
	eval 'sub __NR_flistxattr () {( &__NR_Linux + 232);}' unless defined(&__NR_flistxattr);
	eval 'sub __NR_removexattr () {( &__NR_Linux + 233);}' unless defined(&__NR_removexattr);
	eval 'sub __NR_lremovexattr () {( &__NR_Linux + 234);}' unless defined(&__NR_lremovexattr);
	eval 'sub __NR_fremovexattr () {( &__NR_Linux + 235);}' unless defined(&__NR_fremovexattr);
	eval 'sub __NR_tkill () {( &__NR_Linux + 236);}' unless defined(&__NR_tkill);
	eval 'sub __NR_sendfile64 () {( &__NR_Linux + 237);}' unless defined(&__NR_sendfile64);
	eval 'sub __NR_futex () {( &__NR_Linux + 238);}' unless defined(&__NR_futex);
	eval 'sub __NR_sched_setaffinity () {( &__NR_Linux + 239);}' unless defined(&__NR_sched_setaffinity);
	eval 'sub __NR_sched_getaffinity () {( &__NR_Linux + 240);}' unless defined(&__NR_sched_getaffinity);
	eval 'sub __NR_io_setup () {( &__NR_Linux + 241);}' unless defined(&__NR_io_setup);
	eval 'sub __NR_io_destroy () {( &__NR_Linux + 242);}' unless defined(&__NR_io_destroy);
	eval 'sub __NR_io_getevents () {( &__NR_Linux + 243);}' unless defined(&__NR_io_getevents);
	eval 'sub __NR_io_submit () {( &__NR_Linux + 244);}' unless defined(&__NR_io_submit);
	eval 'sub __NR_io_cancel () {( &__NR_Linux + 245);}' unless defined(&__NR_io_cancel);
	eval 'sub __NR_exit_group () {( &__NR_Linux + 246);}' unless defined(&__NR_exit_group);
	eval 'sub __NR_lookup_dcookie () {( &__NR_Linux + 247);}' unless defined(&__NR_lookup_dcookie);
	eval 'sub __NR_epoll_create () {( &__NR_Linux + 248);}' unless defined(&__NR_epoll_create);
	eval 'sub __NR_epoll_ctl () {( &__NR_Linux + 249);}' unless defined(&__NR_epoll_ctl);
	eval 'sub __NR_epoll_wait () {( &__NR_Linux + 250);}' unless defined(&__NR_epoll_wait);
	eval 'sub __NR_remap_file_pages () {( &__NR_Linux + 251);}' unless defined(&__NR_remap_file_pages);
	eval 'sub __NR_set_tid_address () {( &__NR_Linux + 252);}' unless defined(&__NR_set_tid_address);
	eval 'sub __NR_restart_syscall () {( &__NR_Linux + 253);}' unless defined(&__NR_restart_syscall);
	eval 'sub __NR_fadvise64 () {( &__NR_Linux + 254);}' unless defined(&__NR_fadvise64);
	eval 'sub __NR_statfs64 () {( &__NR_Linux + 255);}' unless defined(&__NR_statfs64);
	eval 'sub __NR_fstatfs64 () {( &__NR_Linux + 256);}' unless defined(&__NR_fstatfs64);
	eval 'sub __NR_timer_create () {( &__NR_Linux + 257);}' unless defined(&__NR_timer_create);
	eval 'sub __NR_timer_settime () {( &__NR_Linux + 258);}' unless defined(&__NR_timer_settime);
	eval 'sub __NR_timer_gettime () {( &__NR_Linux + 259);}' unless defined(&__NR_timer_gettime);
	eval 'sub __NR_timer_getoverrun () {( &__NR_Linux + 260);}' unless defined(&__NR_timer_getoverrun);
	eval 'sub __NR_timer_delete () {( &__NR_Linux + 261);}' unless defined(&__NR_timer_delete);
	eval 'sub __NR_clock_settime () {( &__NR_Linux + 262);}' unless defined(&__NR_clock_settime);
	eval 'sub __NR_clock_gettime () {( &__NR_Linux + 263);}' unless defined(&__NR_clock_gettime);
	eval 'sub __NR_clock_getres () {( &__NR_Linux + 264);}' unless defined(&__NR_clock_getres);
	eval 'sub __NR_clock_nanosleep () {( &__NR_Linux + 265);}' unless defined(&__NR_clock_nanosleep);
	eval 'sub __NR_tgkill () {( &__NR_Linux + 266);}' unless defined(&__NR_tgkill);
	eval 'sub __NR_utimes () {( &__NR_Linux + 267);}' unless defined(&__NR_utimes);
	eval 'sub __NR_mbind () {( &__NR_Linux + 268);}' unless defined(&__NR_mbind);
	eval 'sub __NR_get_mempolicy () {( &__NR_Linux + 269);}' unless defined(&__NR_get_mempolicy);
	eval 'sub __NR_set_mempolicy () {( &__NR_Linux + 270);}' unless defined(&__NR_set_mempolicy);
	eval 'sub __NR_mq_open () {( &__NR_Linux + 271);}' unless defined(&__NR_mq_open);
	eval 'sub __NR_mq_unlink () {( &__NR_Linux + 272);}' unless defined(&__NR_mq_unlink);
	eval 'sub __NR_mq_timedsend () {( &__NR_Linux + 273);}' unless defined(&__NR_mq_timedsend);
	eval 'sub __NR_mq_timedreceive () {( &__NR_Linux + 274);}' unless defined(&__NR_mq_timedreceive);
	eval 'sub __NR_mq_notify () {( &__NR_Linux + 275);}' unless defined(&__NR_mq_notify);
	eval 'sub __NR_mq_getsetattr () {( &__NR_Linux + 276);}' unless defined(&__NR_mq_getsetattr);
	eval 'sub __NR_vserver () {( &__NR_Linux + 277);}' unless defined(&__NR_vserver);
	eval 'sub __NR_waitid () {( &__NR_Linux + 278);}' unless defined(&__NR_waitid);
	eval 'sub __NR_add_key () {( &__NR_Linux + 280);}' unless defined(&__NR_add_key);
	eval 'sub __NR_request_key () {( &__NR_Linux + 281);}' unless defined(&__NR_request_key);
	eval 'sub __NR_keyctl () {( &__NR_Linux + 282);}' unless defined(&__NR_keyctl);
	eval 'sub __NR_set_thread_area () {( &__NR_Linux + 283);}' unless defined(&__NR_set_thread_area);
	eval 'sub __NR_inotify_init () {( &__NR_Linux + 284);}' unless defined(&__NR_inotify_init);
	eval 'sub __NR_inotify_add_watch () {( &__NR_Linux + 285);}' unless defined(&__NR_inotify_add_watch);
	eval 'sub __NR_inotify_rm_watch () {( &__NR_Linux + 286);}' unless defined(&__NR_inotify_rm_watch);
	eval 'sub __NR_migrate_pages () {( &__NR_Linux + 287);}' unless defined(&__NR_migrate_pages);
	eval 'sub __NR_openat () {( &__NR_Linux + 288);}' unless defined(&__NR_openat);
	eval 'sub __NR_mkdirat () {( &__NR_Linux + 289);}' unless defined(&__NR_mkdirat);
	eval 'sub __NR_mknodat () {( &__NR_Linux + 290);}' unless defined(&__NR_mknodat);
	eval 'sub __NR_fchownat () {( &__NR_Linux + 291);}' unless defined(&__NR_fchownat);
	eval 'sub __NR_futimesat () {( &__NR_Linux + 292);}' unless defined(&__NR_futimesat);
	eval 'sub __NR_fstatat64 () {( &__NR_Linux + 293);}' unless defined(&__NR_fstatat64);
	eval 'sub __NR_unlinkat () {( &__NR_Linux + 294);}' unless defined(&__NR_unlinkat);
	eval 'sub __NR_renameat () {( &__NR_Linux + 295);}' unless defined(&__NR_renameat);
	eval 'sub __NR_linkat () {( &__NR_Linux + 296);}' unless defined(&__NR_linkat);
	eval 'sub __NR_symlinkat () {( &__NR_Linux + 297);}' unless defined(&__NR_symlinkat);
	eval 'sub __NR_readlinkat () {( &__NR_Linux + 298);}' unless defined(&__NR_readlinkat);
	eval 'sub __NR_fchmodat () {( &__NR_Linux + 299);}' unless defined(&__NR_fchmodat);
	eval 'sub __NR_faccessat () {( &__NR_Linux + 300);}' unless defined(&__NR_faccessat);
	eval 'sub __NR_pselect6 () {( &__NR_Linux + 301);}' unless defined(&__NR_pselect6);
	eval 'sub __NR_ppoll () {( &__NR_Linux + 302);}' unless defined(&__NR_ppoll);
	eval 'sub __NR_unshare () {( &__NR_Linux + 303);}' unless defined(&__NR_unshare);
	eval 'sub __NR_splice () {( &__NR_Linux + 304);}' unless defined(&__NR_splice);
	eval 'sub __NR_sync_file_range () {( &__NR_Linux + 305);}' unless defined(&__NR_sync_file_range);
	eval 'sub __NR_tee () {( &__NR_Linux + 306);}' unless defined(&__NR_tee);
	eval 'sub __NR_vmsplice () {( &__NR_Linux + 307);}' unless defined(&__NR_vmsplice);
	eval 'sub __NR_move_pages () {( &__NR_Linux + 308);}' unless defined(&__NR_move_pages);
	eval 'sub __NR_set_robust_list () {( &__NR_Linux + 309);}' unless defined(&__NR_set_robust_list);
	eval 'sub __NR_get_robust_list () {( &__NR_Linux + 310);}' unless defined(&__NR_get_robust_list);
	eval 'sub __NR_kexec_load () {( &__NR_Linux + 311);}' unless defined(&__NR_kexec_load);
	eval 'sub __NR_getcpu () {( &__NR_Linux + 312);}' unless defined(&__NR_getcpu);
	eval 'sub __NR_epoll_pwait () {( &__NR_Linux + 313);}' unless defined(&__NR_epoll_pwait);
	eval 'sub __NR_ioprio_set () {( &__NR_Linux + 314);}' unless defined(&__NR_ioprio_set);
	eval 'sub __NR_ioprio_get () {( &__NR_Linux + 315);}' unless defined(&__NR_ioprio_get);
	eval 'sub __NR_utimensat () {( &__NR_Linux + 316);}' unless defined(&__NR_utimensat);
	eval 'sub __NR_signalfd () {( &__NR_Linux + 317);}' unless defined(&__NR_signalfd);
	eval 'sub __NR_timerfd () {( &__NR_Linux + 318);}' unless defined(&__NR_timerfd);
	eval 'sub __NR_eventfd () {( &__NR_Linux + 319);}' unless defined(&__NR_eventfd);
	eval 'sub __NR_fallocate () {( &__NR_Linux + 320);}' unless defined(&__NR_fallocate);
	eval 'sub __NR_timerfd_create () {( &__NR_Linux + 321);}' unless defined(&__NR_timerfd_create);
	eval 'sub __NR_timerfd_gettime () {( &__NR_Linux + 322);}' unless defined(&__NR_timerfd_gettime);
	eval 'sub __NR_timerfd_settime () {( &__NR_Linux + 323);}' unless defined(&__NR_timerfd_settime);
	eval 'sub __NR_signalfd4 () {( &__NR_Linux + 324);}' unless defined(&__NR_signalfd4);
	eval 'sub __NR_eventfd2 () {( &__NR_Linux + 325);}' unless defined(&__NR_eventfd2);
	eval 'sub __NR_epoll_create1 () {( &__NR_Linux + 326);}' unless defined(&__NR_epoll_create1);
	eval 'sub __NR_dup3 () {( &__NR_Linux + 327);}' unless defined(&__NR_dup3);
	eval 'sub __NR_pipe2 () {( &__NR_Linux + 328);}' unless defined(&__NR_pipe2);
	eval 'sub __NR_inotify_init1 () {( &__NR_Linux + 329);}' unless defined(&__NR_inotify_init1);
	eval 'sub __NR_preadv () {( &__NR_Linux + 330);}' unless defined(&__NR_preadv);
	eval 'sub __NR_pwritev () {( &__NR_Linux + 331);}' unless defined(&__NR_pwritev);
	eval 'sub __NR_rt_tgsigqueueinfo () {( &__NR_Linux + 332);}' unless defined(&__NR_rt_tgsigqueueinfo);
	eval 'sub __NR_perf_event_open () {( &__NR_Linux + 333);}' unless defined(&__NR_perf_event_open);
	eval 'sub __NR_accept4 () {( &__NR_Linux + 334);}' unless defined(&__NR_accept4);
	eval 'sub __NR_recvmmsg () {( &__NR_Linux + 335);}' unless defined(&__NR_recvmmsg);
	eval 'sub __NR_fanotify_init () {( &__NR_Linux + 336);}' unless defined(&__NR_fanotify_init);
	eval 'sub __NR_fanotify_mark () {( &__NR_Linux + 337);}' unless defined(&__NR_fanotify_mark);
	eval 'sub __NR_prlimit64 () {( &__NR_Linux + 338);}' unless defined(&__NR_prlimit64);
	eval 'sub __NR_name_to_handle_at () {( &__NR_Linux + 339);}' unless defined(&__NR_name_to_handle_at);
	eval 'sub __NR_open_by_handle_at () {( &__NR_Linux + 340);}' unless defined(&__NR_open_by_handle_at);
	eval 'sub __NR_clock_adjtime () {( &__NR_Linux + 341);}' unless defined(&__NR_clock_adjtime);
	eval 'sub __NR_syncfs () {( &__NR_Linux + 342);}' unless defined(&__NR_syncfs);
	eval 'sub __NR_sendmmsg () {( &__NR_Linux + 343);}' unless defined(&__NR_sendmmsg);
	eval 'sub __NR_setns () {( &__NR_Linux + 344);}' unless defined(&__NR_setns);
	eval 'sub __NR_process_vm_readv () {( &__NR_Linux + 345);}' unless defined(&__NR_process_vm_readv);
	eval 'sub __NR_process_vm_writev () {( &__NR_Linux + 346);}' unless defined(&__NR_process_vm_writev);
	eval 'sub __NR_kcmp () {( &__NR_Linux + 347);}' unless defined(&__NR_kcmp);
	eval 'sub __NR_finit_module () {( &__NR_Linux + 348);}' unless defined(&__NR_finit_module);
	eval 'sub __NR_sched_setattr () {( &__NR_Linux + 349);}' unless defined(&__NR_sched_setattr);
	eval 'sub __NR_sched_getattr () {( &__NR_Linux + 350);}' unless defined(&__NR_sched_getattr);
	eval 'sub __NR_renameat2 () {( &__NR_Linux + 351);}' unless defined(&__NR_renameat2);
	eval 'sub __NR_seccomp () {( &__NR_Linux + 352);}' unless defined(&__NR_seccomp);
	eval 'sub __NR_getrandom () {( &__NR_Linux + 353);}' unless defined(&__NR_getrandom);
	eval 'sub __NR_memfd_create () {( &__NR_Linux + 354);}' unless defined(&__NR_memfd_create);
	eval 'sub __NR_bpf () {( &__NR_Linux + 355);}' unless defined(&__NR_bpf);
	eval 'sub __NR_execveat () {( &__NR_Linux + 356);}' unless defined(&__NR_execveat);
	eval 'sub __NR_userfaultfd () {( &__NR_Linux + 357);}' unless defined(&__NR_userfaultfd);
	eval 'sub __NR_membarrier () {( &__NR_Linux + 358);}' unless defined(&__NR_membarrier);
	eval 'sub __NR_mlock2 () {( &__NR_Linux + 359);}' unless defined(&__NR_mlock2);
	eval 'sub __NR_copy_file_range () {( &__NR_Linux + 360);}' unless defined(&__NR_copy_file_range);
	eval 'sub __NR_preadv2 () {( &__NR_Linux + 361);}' unless defined(&__NR_preadv2);
	eval 'sub __NR_pwritev2 () {( &__NR_Linux + 362);}' unless defined(&__NR_pwritev2);
	eval 'sub __NR_pkey_mprotect () {( &__NR_Linux + 363);}' unless defined(&__NR_pkey_mprotect);
	eval 'sub __NR_pkey_alloc () {( &__NR_Linux + 364);}' unless defined(&__NR_pkey_alloc);
	eval 'sub __NR_pkey_free () {( &__NR_Linux + 365);}' unless defined(&__NR_pkey_free);
	eval 'sub __NR_Linux_syscalls () {365;}' unless defined(&__NR_Linux_syscalls);
    }
    eval 'sub __NR_O32_Linux () {4000;}' unless defined(&__NR_O32_Linux);
    eval 'sub __NR_O32_Linux_syscalls () {365;}' unless defined(&__NR_O32_Linux_syscalls);
    if((defined(&_MIPS_SIM) ? &_MIPS_SIM : undef) == (defined(&_MIPS_SIM_ABI64) ? &_MIPS_SIM_ABI64 : undef)) {
	eval 'sub __NR_Linux () {5000;}' unless defined(&__NR_Linux);
	eval 'sub __NR_read () {( &__NR_Linux + 0);}' unless defined(&__NR_read);
	eval 'sub __NR_write () {( &__NR_Linux + 1);}' unless defined(&__NR_write);
	eval 'sub __NR_open () {( &__NR_Linux + 2);}' unless defined(&__NR_open);
	eval 'sub __NR_close () {( &__NR_Linux + 3);}' unless defined(&__NR_close);
	eval 'sub __NR_stat () {( &__NR_Linux + 4);}' unless defined(&__NR_stat);
	eval 'sub __NR_fstat () {( &__NR_Linux + 5);}' unless defined(&__NR_fstat);
	eval 'sub __NR_lstat () {( &__NR_Linux + 6);}' unless defined(&__NR_lstat);
	eval 'sub __NR_poll () {( &__NR_Linux + 7);}' unless defined(&__NR_poll);
	eval 'sub __NR_lseek () {( &__NR_Linux + 8);}' unless defined(&__NR_lseek);
	eval 'sub __NR_mmap () {( &__NR_Linux + 9);}' unless defined(&__NR_mmap);
	eval 'sub __NR_mprotect () {( &__NR_Linux + 10);}' unless defined(&__NR_mprotect);
	eval 'sub __NR_munmap () {( &__NR_Linux + 11);}' unless defined(&__NR_munmap);
	eval 'sub __NR_brk () {( &__NR_Linux + 12);}' unless defined(&__NR_brk);
	eval 'sub __NR_rt_sigaction () {( &__NR_Linux + 13);}' unless defined(&__NR_rt_sigaction);
	eval 'sub __NR_rt_sigprocmask () {( &__NR_Linux + 14);}' unless defined(&__NR_rt_sigprocmask);
	eval 'sub __NR_ioctl () {( &__NR_Linux + 15);}' unless defined(&__NR_ioctl);
	eval 'sub __NR_pread64 () {( &__NR_Linux + 16);}' unless defined(&__NR_pread64);
	eval 'sub __NR_pwrite64 () {( &__NR_Linux + 17);}' unless defined(&__NR_pwrite64);
	eval 'sub __NR_readv () {( &__NR_Linux + 18);}' unless defined(&__NR_readv);
	eval 'sub __NR_writev () {( &__NR_Linux + 19);}' unless defined(&__NR_writev);
	eval 'sub __NR_access () {( &__NR_Linux + 20);}' unless defined(&__NR_access);
	eval 'sub __NR_pipe () {( &__NR_Linux + 21);}' unless defined(&__NR_pipe);
	eval 'sub __NR__newselect () {( &__NR_Linux + 22);}' unless defined(&__NR__newselect);
	eval 'sub __NR_sched_yield () {( &__NR_Linux + 23);}' unless defined(&__NR_sched_yield);
	eval 'sub __NR_mremap () {( &__NR_Linux + 24);}' unless defined(&__NR_mremap);
	eval 'sub __NR_msync () {( &__NR_Linux + 25);}' unless defined(&__NR_msync);
	eval 'sub __NR_mincore () {( &__NR_Linux + 26);}' unless defined(&__NR_mincore);
	eval 'sub __NR_madvise () {( &__NR_Linux + 27);}' unless defined(&__NR_madvise);
	eval 'sub __NR_shmget () {( &__NR_Linux + 28);}' unless defined(&__NR_shmget);
	eval 'sub __NR_shmat () {( &__NR_Linux + 29);}' unless defined(&__NR_shmat);
	eval 'sub __NR_shmctl () {( &__NR_Linux + 30);}' unless defined(&__NR_shmctl);
	eval 'sub __NR_dup () {( &__NR_Linux + 31);}' unless defined(&__NR_dup);
	eval 'sub __NR_dup2 () {( &__NR_Linux + 32);}' unless defined(&__NR_dup2);
	eval 'sub __NR_pause () {( &__NR_Linux + 33);}' unless defined(&__NR_pause);
	eval 'sub __NR_nanosleep () {( &__NR_Linux + 34);}' unless defined(&__NR_nanosleep);
	eval 'sub __NR_getitimer () {( &__NR_Linux + 35);}' unless defined(&__NR_getitimer);
	eval 'sub __NR_setitimer () {( &__NR_Linux + 36);}' unless defined(&__NR_setitimer);
	eval 'sub __NR_alarm () {( &__NR_Linux + 37);}' unless defined(&__NR_alarm);
	eval 'sub __NR_getpid () {( &__NR_Linux + 38);}' unless defined(&__NR_getpid);
	eval 'sub __NR_sendfile () {( &__NR_Linux + 39);}' unless defined(&__NR_sendfile);
	eval 'sub __NR_socket () {( &__NR_Linux + 40);}' unless defined(&__NR_socket);
	eval 'sub __NR_connect () {( &__NR_Linux + 41);}' unless defined(&__NR_connect);
	eval 'sub __NR_accept () {( &__NR_Linux + 42);}' unless defined(&__NR_accept);
	eval 'sub __NR_sendto () {( &__NR_Linux + 43);}' unless defined(&__NR_sendto);
	eval 'sub __NR_recvfrom () {( &__NR_Linux + 44);}' unless defined(&__NR_recvfrom);
	eval 'sub __NR_sendmsg () {( &__NR_Linux + 45);}' unless defined(&__NR_sendmsg);
	eval 'sub __NR_recvmsg () {( &__NR_Linux + 46);}' unless defined(&__NR_recvmsg);
	eval 'sub __NR_shutdown () {( &__NR_Linux + 47);}' unless defined(&__NR_shutdown);
	eval 'sub __NR_bind () {( &__NR_Linux + 48);}' unless defined(&__NR_bind);
	eval 'sub __NR_listen () {( &__NR_Linux + 49);}' unless defined(&__NR_listen);
	eval 'sub __NR_getsockname () {( &__NR_Linux + 50);}' unless defined(&__NR_getsockname);
	eval 'sub __NR_getpeername () {( &__NR_Linux + 51);}' unless defined(&__NR_getpeername);
	eval 'sub __NR_socketpair () {( &__NR_Linux + 52);}' unless defined(&__NR_socketpair);
	eval 'sub __NR_setsockopt () {( &__NR_Linux + 53);}' unless defined(&__NR_setsockopt);
	eval 'sub __NR_getsockopt () {( &__NR_Linux + 54);}' unless defined(&__NR_getsockopt);
	eval 'sub __NR_clone () {( &__NR_Linux + 55);}' unless defined(&__NR_clone);
	eval 'sub __NR_fork () {( &__NR_Linux + 56);}' unless defined(&__NR_fork);
	eval 'sub __NR_execve () {( &__NR_Linux + 57);}' unless defined(&__NR_execve);
	eval 'sub __NR_exit () {( &__NR_Linux + 58);}' unless defined(&__NR_exit);
	eval 'sub __NR_wait4 () {( &__NR_Linux + 59);}' unless defined(&__NR_wait4);
	eval 'sub __NR_kill () {( &__NR_Linux + 60);}' unless defined(&__NR_kill);
	eval 'sub __NR_uname () {( &__NR_Linux + 61);}' unless defined(&__NR_uname);
	eval 'sub __NR_semget () {( &__NR_Linux + 62);}' unless defined(&__NR_semget);
	eval 'sub __NR_semop () {( &__NR_Linux + 63);}' unless defined(&__NR_semop);
	eval 'sub __NR_semctl () {( &__NR_Linux + 64);}' unless defined(&__NR_semctl);
	eval 'sub __NR_shmdt () {( &__NR_Linux + 65);}' unless defined(&__NR_shmdt);
	eval 'sub __NR_msgget () {( &__NR_Linux + 66);}' unless defined(&__NR_msgget);
	eval 'sub __NR_msgsnd () {( &__NR_Linux + 67);}' unless defined(&__NR_msgsnd);
	eval 'sub __NR_msgrcv () {( &__NR_Linux + 68);}' unless defined(&__NR_msgrcv);
	eval 'sub __NR_msgctl () {( &__NR_Linux + 69);}' unless defined(&__NR_msgctl);
	eval 'sub __NR_fcntl () {( &__NR_Linux + 70);}' unless defined(&__NR_fcntl);
	eval 'sub __NR_flock () {( &__NR_Linux + 71);}' unless defined(&__NR_flock);
	eval 'sub __NR_fsync () {( &__NR_Linux + 72);}' unless defined(&__NR_fsync);
	eval 'sub __NR_fdatasync () {( &__NR_Linux + 73);}' unless defined(&__NR_fdatasync);
	eval 'sub __NR_truncate () {( &__NR_Linux + 74);}' unless defined(&__NR_truncate);
	eval 'sub __NR_ftruncate () {( &__NR_Linux + 75);}' unless defined(&__NR_ftruncate);
	eval 'sub __NR_getdents () {( &__NR_Linux + 76);}' unless defined(&__NR_getdents);
	eval 'sub __NR_getcwd () {( &__NR_Linux + 77);}' unless defined(&__NR_getcwd);
	eval 'sub __NR_chdir () {( &__NR_Linux + 78);}' unless defined(&__NR_chdir);
	eval 'sub __NR_fchdir () {( &__NR_Linux + 79);}' unless defined(&__NR_fchdir);
	eval 'sub __NR_rename () {( &__NR_Linux + 80);}' unless defined(&__NR_rename);
	eval 'sub __NR_mkdir () {( &__NR_Linux + 81);}' unless defined(&__NR_mkdir);
	eval 'sub __NR_rmdir () {( &__NR_Linux + 82);}' unless defined(&__NR_rmdir);
	eval 'sub __NR_creat () {( &__NR_Linux + 83);}' unless defined(&__NR_creat);
	eval 'sub __NR_link () {( &__NR_Linux + 84);}' unless defined(&__NR_link);
	eval 'sub __NR_unlink () {( &__NR_Linux + 85);}' unless defined(&__NR_unlink);
	eval 'sub __NR_symlink () {( &__NR_Linux + 86);}' unless defined(&__NR_symlink);
	eval 'sub __NR_readlink () {( &__NR_Linux + 87);}' unless defined(&__NR_readlink);
	eval 'sub __NR_chmod () {( &__NR_Linux + 88);}' unless defined(&__NR_chmod);
	eval 'sub __NR_fchmod () {( &__NR_Linux + 89);}' unless defined(&__NR_fchmod);
	eval 'sub __NR_chown () {( &__NR_Linux + 90);}' unless defined(&__NR_chown);
	eval 'sub __NR_fchown () {( &__NR_Linux + 91);}' unless defined(&__NR_fchown);
	eval 'sub __NR_lchown () {( &__NR_Linux + 92);}' unless defined(&__NR_lchown);
	eval 'sub __NR_umask () {( &__NR_Linux + 93);}' unless defined(&__NR_umask);
	eval 'sub __NR_gettimeofday () {( &__NR_Linux + 94);}' unless defined(&__NR_gettimeofday);
	eval 'sub __NR_getrlimit () {( &__NR_Linux + 95);}' unless defined(&__NR_getrlimit);
	eval 'sub __NR_getrusage () {( &__NR_Linux + 96);}' unless defined(&__NR_getrusage);
	eval 'sub __NR_sysinfo () {( &__NR_Linux + 97);}' unless defined(&__NR_sysinfo);
	eval 'sub __NR_times () {( &__NR_Linux + 98);}' unless defined(&__NR_times);
	eval 'sub __NR_ptrace () {( &__NR_Linux + 99);}' unless defined(&__NR_ptrace);
	eval 'sub __NR_getuid () {( &__NR_Linux + 100);}' unless defined(&__NR_getuid);
	eval 'sub __NR_syslog () {( &__NR_Linux + 101);}' unless defined(&__NR_syslog);
	eval 'sub __NR_getgid () {( &__NR_Linux + 102);}' unless defined(&__NR_getgid);
	eval 'sub __NR_setuid () {( &__NR_Linux + 103);}' unless defined(&__NR_setuid);
	eval 'sub __NR_setgid () {( &__NR_Linux + 104);}' unless defined(&__NR_setgid);
	eval 'sub __NR_geteuid () {( &__NR_Linux + 105);}' unless defined(&__NR_geteuid);
	eval 'sub __NR_getegid () {( &__NR_Linux + 106);}' unless defined(&__NR_getegid);
	eval 'sub __NR_setpgid () {( &__NR_Linux + 107);}' unless defined(&__NR_setpgid);
	eval 'sub __NR_getppid () {( &__NR_Linux + 108);}' unless defined(&__NR_getppid);
	eval 'sub __NR_getpgrp () {( &__NR_Linux + 109);}' unless defined(&__NR_getpgrp);
	eval 'sub __NR_setsid () {( &__NR_Linux + 110);}' unless defined(&__NR_setsid);
	eval 'sub __NR_setreuid () {( &__NR_Linux + 111);}' unless defined(&__NR_setreuid);
	eval 'sub __NR_setregid () {( &__NR_Linux + 112);}' unless defined(&__NR_setregid);
	eval 'sub __NR_getgroups () {( &__NR_Linux + 113);}' unless defined(&__NR_getgroups);
	eval 'sub __NR_setgroups () {( &__NR_Linux + 114);}' unless defined(&__NR_setgroups);
	eval 'sub __NR_setresuid () {( &__NR_Linux + 115);}' unless defined(&__NR_setresuid);
	eval 'sub __NR_getresuid () {( &__NR_Linux + 116);}' unless defined(&__NR_getresuid);
	eval 'sub __NR_setresgid () {( &__NR_Linux + 117);}' unless defined(&__NR_setresgid);
	eval 'sub __NR_getresgid () {( &__NR_Linux + 118);}' unless defined(&__NR_getresgid);
	eval 'sub __NR_getpgid () {( &__NR_Linux + 119);}' unless defined(&__NR_getpgid);
	eval 'sub __NR_setfsuid () {( &__NR_Linux + 120);}' unless defined(&__NR_setfsuid);
	eval 'sub __NR_setfsgid () {( &__NR_Linux + 121);}' unless defined(&__NR_setfsgid);
	eval 'sub __NR_getsid () {( &__NR_Linux + 122);}' unless defined(&__NR_getsid);
	eval 'sub __NR_capget () {( &__NR_Linux + 123);}' unless defined(&__NR_capget);
	eval 'sub __NR_capset () {( &__NR_Linux + 124);}' unless defined(&__NR_capset);
	eval 'sub __NR_rt_sigpending () {( &__NR_Linux + 125);}' unless defined(&__NR_rt_sigpending);
	eval 'sub __NR_rt_sigtimedwait () {( &__NR_Linux + 126);}' unless defined(&__NR_rt_sigtimedwait);
	eval 'sub __NR_rt_sigqueueinfo () {( &__NR_Linux + 127);}' unless defined(&__NR_rt_sigqueueinfo);
	eval 'sub __NR_rt_sigsuspend () {( &__NR_Linux + 128);}' unless defined(&__NR_rt_sigsuspend);
	eval 'sub __NR_sigaltstack () {( &__NR_Linux + 129);}' unless defined(&__NR_sigaltstack);
	eval 'sub __NR_utime () {( &__NR_Linux + 130);}' unless defined(&__NR_utime);
	eval 'sub __NR_mknod () {( &__NR_Linux + 131);}' unless defined(&__NR_mknod);
	eval 'sub __NR_personality () {( &__NR_Linux + 132);}' unless defined(&__NR_personality);
	eval 'sub __NR_ustat () {( &__NR_Linux + 133);}' unless defined(&__NR_ustat);
	eval 'sub __NR_statfs () {( &__NR_Linux + 134);}' unless defined(&__NR_statfs);
	eval 'sub __NR_fstatfs () {( &__NR_Linux + 135);}' unless defined(&__NR_fstatfs);
	eval 'sub __NR_sysfs () {( &__NR_Linux + 136);}' unless defined(&__NR_sysfs);
	eval 'sub __NR_getpriority () {( &__NR_Linux + 137);}' unless defined(&__NR_getpriority);
	eval 'sub __NR_setpriority () {( &__NR_Linux + 138);}' unless defined(&__NR_setpriority);
	eval 'sub __NR_sched_setparam () {( &__NR_Linux + 139);}' unless defined(&__NR_sched_setparam);
	eval 'sub __NR_sched_getparam () {( &__NR_Linux + 140);}' unless defined(&__NR_sched_getparam);
	eval 'sub __NR_sched_setscheduler () {( &__NR_Linux + 141);}' unless defined(&__NR_sched_setscheduler);
	eval 'sub __NR_sched_getscheduler () {( &__NR_Linux + 142);}' unless defined(&__NR_sched_getscheduler);
	eval 'sub __NR_sched_get_priority_max () {( &__NR_Linux + 143);}' unless defined(&__NR_sched_get_priority_max);
	eval 'sub __NR_sched_get_priority_min () {( &__NR_Linux + 144);}' unless defined(&__NR_sched_get_priority_min);
	eval 'sub __NR_sched_rr_get_interval () {( &__NR_Linux + 145);}' unless defined(&__NR_sched_rr_get_interval);
	eval 'sub __NR_mlock () {( &__NR_Linux + 146);}' unless defined(&__NR_mlock);
	eval 'sub __NR_munlock () {( &__NR_Linux + 147);}' unless defined(&__NR_munlock);
	eval 'sub __NR_mlockall () {( &__NR_Linux + 148);}' unless defined(&__NR_mlockall);
	eval 'sub __NR_munlockall () {( &__NR_Linux + 149);}' unless defined(&__NR_munlockall);
	eval 'sub __NR_vhangup () {( &__NR_Linux + 150);}' unless defined(&__NR_vhangup);
	eval 'sub __NR_pivot_root () {( &__NR_Linux + 151);}' unless defined(&__NR_pivot_root);
	eval 'sub __NR__sysctl () {( &__NR_Linux + 152);}' unless defined(&__NR__sysctl);
	eval 'sub __NR_prctl () {( &__NR_Linux + 153);}' unless defined(&__NR_prctl);
	eval 'sub __NR_adjtimex () {( &__NR_Linux + 154);}' unless defined(&__NR_adjtimex);
	eval 'sub __NR_setrlimit () {( &__NR_Linux + 155);}' unless defined(&__NR_setrlimit);
	eval 'sub __NR_chroot () {( &__NR_Linux + 156);}' unless defined(&__NR_chroot);
	eval 'sub __NR_sync () {( &__NR_Linux + 157);}' unless defined(&__NR_sync);
	eval 'sub __NR_acct () {( &__NR_Linux + 158);}' unless defined(&__NR_acct);
	eval 'sub __NR_settimeofday () {( &__NR_Linux + 159);}' unless defined(&__NR_settimeofday);
	eval 'sub __NR_mount () {( &__NR_Linux + 160);}' unless defined(&__NR_mount);
	eval 'sub __NR_umount2 () {( &__NR_Linux + 161);}' unless defined(&__NR_umount2);
	eval 'sub __NR_swapon () {( &__NR_Linux + 162);}' unless defined(&__NR_swapon);
	eval 'sub __NR_swapoff () {( &__NR_Linux + 163);}' unless defined(&__NR_swapoff);
	eval 'sub __NR_reboot () {( &__NR_Linux + 164);}' unless defined(&__NR_reboot);
	eval 'sub __NR_sethostname () {( &__NR_Linux + 165);}' unless defined(&__NR_sethostname);
	eval 'sub __NR_setdomainname () {( &__NR_Linux + 166);}' unless defined(&__NR_setdomainname);
	eval 'sub __NR_create_module () {( &__NR_Linux + 167);}' unless defined(&__NR_create_module);
	eval 'sub __NR_init_module () {( &__NR_Linux + 168);}' unless defined(&__NR_init_module);
	eval 'sub __NR_delete_module () {( &__NR_Linux + 169);}' unless defined(&__NR_delete_module);
	eval 'sub __NR_get_kernel_syms () {( &__NR_Linux + 170);}' unless defined(&__NR_get_kernel_syms);
	eval 'sub __NR_query_module () {( &__NR_Linux + 171);}' unless defined(&__NR_query_module);
	eval 'sub __NR_quotactl () {( &__NR_Linux + 172);}' unless defined(&__NR_quotactl);
	eval 'sub __NR_nfsservctl () {( &__NR_Linux + 173);}' unless defined(&__NR_nfsservctl);
	eval 'sub __NR_getpmsg () {( &__NR_Linux + 174);}' unless defined(&__NR_getpmsg);
	eval 'sub __NR_putpmsg () {( &__NR_Linux + 175);}' unless defined(&__NR_putpmsg);
	eval 'sub __NR_afs_syscall () {( &__NR_Linux + 176);}' unless defined(&__NR_afs_syscall);
	eval 'sub __NR_reserved177 () {( &__NR_Linux + 177);}' unless defined(&__NR_reserved177);
	eval 'sub __NR_gettid () {( &__NR_Linux + 178);}' unless defined(&__NR_gettid);
	eval 'sub __NR_readahead () {( &__NR_Linux + 179);}' unless defined(&__NR_readahead);
	eval 'sub __NR_setxattr () {( &__NR_Linux + 180);}' unless defined(&__NR_setxattr);
	eval 'sub __NR_lsetxattr () {( &__NR_Linux + 181);}' unless defined(&__NR_lsetxattr);
	eval 'sub __NR_fsetxattr () {( &__NR_Linux + 182);}' unless defined(&__NR_fsetxattr);
	eval 'sub __NR_getxattr () {( &__NR_Linux + 183);}' unless defined(&__NR_getxattr);
	eval 'sub __NR_lgetxattr () {( &__NR_Linux + 184);}' unless defined(&__NR_lgetxattr);
	eval 'sub __NR_fgetxattr () {( &__NR_Linux + 185);}' unless defined(&__NR_fgetxattr);
	eval 'sub __NR_listxattr () {( &__NR_Linux + 186);}' unless defined(&__NR_listxattr);
	eval 'sub __NR_llistxattr () {( &__NR_Linux + 187);}' unless defined(&__NR_llistxattr);
	eval 'sub __NR_flistxattr () {( &__NR_Linux + 188);}' unless defined(&__NR_flistxattr);
	eval 'sub __NR_removexattr () {( &__NR_Linux + 189);}' unless defined(&__NR_removexattr);
	eval 'sub __NR_lremovexattr () {( &__NR_Linux + 190);}' unless defined(&__NR_lremovexattr);
	eval 'sub __NR_fremovexattr () {( &__NR_Linux + 191);}' unless defined(&__NR_fremovexattr);
	eval 'sub __NR_tkill () {( &__NR_Linux + 192);}' unless defined(&__NR_tkill);
	eval 'sub __NR_reserved193 () {( &__NR_Linux + 193);}' unless defined(&__NR_reserved193);
	eval 'sub __NR_futex () {( &__NR_Linux + 194);}' unless defined(&__NR_futex);
	eval 'sub __NR_sched_setaffinity () {( &__NR_Linux + 195);}' unless defined(&__NR_sched_setaffinity);
	eval 'sub __NR_sched_getaffinity () {( &__NR_Linux + 196);}' unless defined(&__NR_sched_getaffinity);
	eval 'sub __NR_cacheflush () {( &__NR_Linux + 197);}' unless defined(&__NR_cacheflush);
	eval 'sub __NR_cachectl () {( &__NR_Linux + 198);}' unless defined(&__NR_cachectl);
	eval 'sub __NR_sysmips () {( &__NR_Linux + 199);}' unless defined(&__NR_sysmips);
	eval 'sub __NR_io_setup () {( &__NR_Linux + 200);}' unless defined(&__NR_io_setup);
	eval 'sub __NR_io_destroy () {( &__NR_Linux + 201);}' unless defined(&__NR_io_destroy);
	eval 'sub __NR_io_getevents () {( &__NR_Linux + 202);}' unless defined(&__NR_io_getevents);
	eval 'sub __NR_io_submit () {( &__NR_Linux + 203);}' unless defined(&__NR_io_submit);
	eval 'sub __NR_io_cancel () {( &__NR_Linux + 204);}' unless defined(&__NR_io_cancel);
	eval 'sub __NR_exit_group () {( &__NR_Linux + 205);}' unless defined(&__NR_exit_group);
	eval 'sub __NR_lookup_dcookie () {( &__NR_Linux + 206);}' unless defined(&__NR_lookup_dcookie);
	eval 'sub __NR_epoll_create () {( &__NR_Linux + 207);}' unless defined(&__NR_epoll_create);
	eval 'sub __NR_epoll_ctl () {( &__NR_Linux + 208);}' unless defined(&__NR_epoll_ctl);
	eval 'sub __NR_epoll_wait () {( &__NR_Linux + 209);}' unless defined(&__NR_epoll_wait);
	eval 'sub __NR_remap_file_pages () {( &__NR_Linux + 210);}' unless defined(&__NR_remap_file_pages);
	eval 'sub __NR_rt_sigreturn () {( &__NR_Linux + 211);}' unless defined(&__NR_rt_sigreturn);
	eval 'sub __NR_set_tid_address () {( &__NR_Linux + 212);}' unless defined(&__NR_set_tid_address);
	eval 'sub __NR_restart_syscall () {( &__NR_Linux + 213);}' unless defined(&__NR_restart_syscall);
	eval 'sub __NR_semtimedop () {( &__NR_Linux + 214);}' unless defined(&__NR_semtimedop);
	eval 'sub __NR_fadvise64 () {( &__NR_Linux + 215);}' unless defined(&__NR_fadvise64);
	eval 'sub __NR_timer_create () {( &__NR_Linux + 216);}' unless defined(&__NR_timer_create);
	eval 'sub __NR_timer_settime () {( &__NR_Linux + 217);}' unless defined(&__NR_timer_settime);
	eval 'sub __NR_timer_gettime () {( &__NR_Linux + 218);}' unless defined(&__NR_timer_gettime);
	eval 'sub __NR_timer_getoverrun () {( &__NR_Linux + 219);}' unless defined(&__NR_timer_getoverrun);
	eval 'sub __NR_timer_delete () {( &__NR_Linux + 220);}' unless defined(&__NR_timer_delete);
	eval 'sub __NR_clock_settime () {( &__NR_Linux + 221);}' unless defined(&__NR_clock_settime);
	eval 'sub __NR_clock_gettime () {( &__NR_Linux + 222);}' unless defined(&__NR_clock_gettime);
	eval 'sub __NR_clock_getres () {( &__NR_Linux + 223);}' unless defined(&__NR_clock_getres);
	eval 'sub __NR_clock_nanosleep () {( &__NR_Linux + 224);}' unless defined(&__NR_clock_nanosleep);
	eval 'sub __NR_tgkill () {( &__NR_Linux + 225);}' unless defined(&__NR_tgkill);
	eval 'sub __NR_utimes () {( &__NR_Linux + 226);}' unless defined(&__NR_utimes);
	eval 'sub __NR_mbind () {( &__NR_Linux + 227);}' unless defined(&__NR_mbind);
	eval 'sub __NR_get_mempolicy () {( &__NR_Linux + 228);}' unless defined(&__NR_get_mempolicy);
	eval 'sub __NR_set_mempolicy () {( &__NR_Linux + 229);}' unless defined(&__NR_set_mempolicy);
	eval 'sub __NR_mq_open () {( &__NR_Linux + 230);}' unless defined(&__NR_mq_open);
	eval 'sub __NR_mq_unlink () {( &__NR_Linux + 231);}' unless defined(&__NR_mq_unlink);
	eval 'sub __NR_mq_timedsend () {( &__NR_Linux + 232);}' unless defined(&__NR_mq_timedsend);
	eval 'sub __NR_mq_timedreceive () {( &__NR_Linux + 233);}' unless defined(&__NR_mq_timedreceive);
	eval 'sub __NR_mq_notify () {( &__NR_Linux + 234);}' unless defined(&__NR_mq_notify);
	eval 'sub __NR_mq_getsetattr () {( &__NR_Linux + 235);}' unless defined(&__NR_mq_getsetattr);
	eval 'sub __NR_vserver () {( &__NR_Linux + 236);}' unless defined(&__NR_vserver);
	eval 'sub __NR_waitid () {( &__NR_Linux + 237);}' unless defined(&__NR_waitid);
	eval 'sub __NR_add_key () {( &__NR_Linux + 239);}' unless defined(&__NR_add_key);
	eval 'sub __NR_request_key () {( &__NR_Linux + 240);}' unless defined(&__NR_request_key);
	eval 'sub __NR_keyctl () {( &__NR_Linux + 241);}' unless defined(&__NR_keyctl);
	eval 'sub __NR_set_thread_area () {( &__NR_Linux + 242);}' unless defined(&__NR_set_thread_area);
	eval 'sub __NR_inotify_init () {( &__NR_Linux + 243);}' unless defined(&__NR_inotify_init);
	eval 'sub __NR_inotify_add_watch () {( &__NR_Linux + 244);}' unless defined(&__NR_inotify_add_watch);
	eval 'sub __NR_inotify_rm_watch () {( &__NR_Linux + 245);}' unless defined(&__NR_inotify_rm_watch);
	eval 'sub __NR_migrate_pages () {( &__NR_Linux + 246);}' unless defined(&__NR_migrate_pages);
	eval 'sub __NR_openat () {( &__NR_Linux + 247);}' unless defined(&__NR_openat);
	eval 'sub __NR_mkdirat () {( &__NR_Linux + 248);}' unless defined(&__NR_mkdirat);
	eval 'sub __NR_mknodat () {( &__NR_Linux + 249);}' unless defined(&__NR_mknodat);
	eval 'sub __NR_fchownat () {( &__NR_Linux + 250);}' unless defined(&__NR_fchownat);
	eval 'sub __NR_futimesat () {( &__NR_Linux + 251);}' unless defined(&__NR_futimesat);
	eval 'sub __NR_newfstatat () {( &__NR_Linux + 252);}' unless defined(&__NR_newfstatat);
	eval 'sub __NR_unlinkat () {( &__NR_Linux + 253);}' unless defined(&__NR_unlinkat);
	eval 'sub __NR_renameat () {( &__NR_Linux + 254);}' unless defined(&__NR_renameat);
	eval 'sub __NR_linkat () {( &__NR_Linux + 255);}' unless defined(&__NR_linkat);
	eval 'sub __NR_symlinkat () {( &__NR_Linux + 256);}' unless defined(&__NR_symlinkat);
	eval 'sub __NR_readlinkat () {( &__NR_Linux + 257);}' unless defined(&__NR_readlinkat);
	eval 'sub __NR_fchmodat () {( &__NR_Linux + 258);}' unless defined(&__NR_fchmodat);
	eval 'sub __NR_faccessat () {( &__NR_Linux + 259);}' unless defined(&__NR_faccessat);
	eval 'sub __NR_pselect6 () {( &__NR_Linux + 260);}' unless defined(&__NR_pselect6);
	eval 'sub __NR_ppoll () {( &__NR_Linux + 261);}' unless defined(&__NR_ppoll);
	eval 'sub __NR_unshare () {( &__NR_Linux + 262);}' unless defined(&__NR_unshare);
	eval 'sub __NR_splice () {( &__NR_Linux + 263);}' unless defined(&__NR_splice);
	eval 'sub __NR_sync_file_range () {( &__NR_Linux + 264);}' unless defined(&__NR_sync_file_range);
	eval 'sub __NR_tee () {( &__NR_Linux + 265);}' unless defined(&__NR_tee);
	eval 'sub __NR_vmsplice () {( &__NR_Linux + 266);}' unless defined(&__NR_vmsplice);
	eval 'sub __NR_move_pages () {( &__NR_Linux + 267);}' unless defined(&__NR_move_pages);
	eval 'sub __NR_set_robust_list () {( &__NR_Linux + 268);}' unless defined(&__NR_set_robust_list);
	eval 'sub __NR_get_robust_list () {( &__NR_Linux + 269);}' unless defined(&__NR_get_robust_list);
	eval 'sub __NR_kexec_load () {( &__NR_Linux + 270);}' unless defined(&__NR_kexec_load);
	eval 'sub __NR_getcpu () {( &__NR_Linux + 271);}' unless defined(&__NR_getcpu);
	eval 'sub __NR_epoll_pwait () {( &__NR_Linux + 272);}' unless defined(&__NR_epoll_pwait);
	eval 'sub __NR_ioprio_set () {( &__NR_Linux + 273);}' unless defined(&__NR_ioprio_set);
	eval 'sub __NR_ioprio_get () {( &__NR_Linux + 274);}' unless defined(&__NR_ioprio_get);
	eval 'sub __NR_utimensat () {( &__NR_Linux + 275);}' unless defined(&__NR_utimensat);
	eval 'sub __NR_signalfd () {( &__NR_Linux + 276);}' unless defined(&__NR_signalfd);
	eval 'sub __NR_timerfd () {( &__NR_Linux + 277);}' unless defined(&__NR_timerfd);
	eval 'sub __NR_eventfd () {( &__NR_Linux + 278);}' unless defined(&__NR_eventfd);
	eval 'sub __NR_fallocate () {( &__NR_Linux + 279);}' unless defined(&__NR_fallocate);
	eval 'sub __NR_timerfd_create () {( &__NR_Linux + 280);}' unless defined(&__NR_timerfd_create);
	eval 'sub __NR_timerfd_gettime () {( &__NR_Linux + 281);}' unless defined(&__NR_timerfd_gettime);
	eval 'sub __NR_timerfd_settime () {( &__NR_Linux + 282);}' unless defined(&__NR_timerfd_settime);
	eval 'sub __NR_signalfd4 () {( &__NR_Linux + 283);}' unless defined(&__NR_signalfd4);
	eval 'sub __NR_eventfd2 () {( &__NR_Linux + 284);}' unless defined(&__NR_eventfd2);
	eval 'sub __NR_epoll_create1 () {( &__NR_Linux + 285);}' unless defined(&__NR_epoll_create1);
	eval 'sub __NR_dup3 () {( &__NR_Linux + 286);}' unless defined(&__NR_dup3);
	eval 'sub __NR_pipe2 () {( &__NR_Linux + 287);}' unless defined(&__NR_pipe2);
	eval 'sub __NR_inotify_init1 () {( &__NR_Linux + 288);}' unless defined(&__NR_inotify_init1);
	eval 'sub __NR_preadv () {( &__NR_Linux + 289);}' unless defined(&__NR_preadv);
	eval 'sub __NR_pwritev () {( &__NR_Linux + 290);}' unless defined(&__NR_pwritev);
	eval 'sub __NR_rt_tgsigqueueinfo () {( &__NR_Linux + 291);}' unless defined(&__NR_rt_tgsigqueueinfo);
	eval 'sub __NR_perf_event_open () {( &__NR_Linux + 292);}' unless defined(&__NR_perf_event_open);
	eval 'sub __NR_accept4 () {( &__NR_Linux + 293);}' unless defined(&__NR_accept4);
	eval 'sub __NR_recvmmsg () {( &__NR_Linux + 294);}' unless defined(&__NR_recvmmsg);
	eval 'sub __NR_fanotify_init () {( &__NR_Linux + 295);}' unless defined(&__NR_fanotify_init);
	eval 'sub __NR_fanotify_mark () {( &__NR_Linux + 296);}' unless defined(&__NR_fanotify_mark);
	eval 'sub __NR_prlimit64 () {( &__NR_Linux + 297);}' unless defined(&__NR_prlimit64);
	eval 'sub __NR_name_to_handle_at () {( &__NR_Linux + 298);}' unless defined(&__NR_name_to_handle_at);
	eval 'sub __NR_open_by_handle_at () {( &__NR_Linux + 299);}' unless defined(&__NR_open_by_handle_at);
	eval 'sub __NR_clock_adjtime () {( &__NR_Linux + 300);}' unless defined(&__NR_clock_adjtime);
	eval 'sub __NR_syncfs () {( &__NR_Linux + 301);}' unless defined(&__NR_syncfs);
	eval 'sub __NR_sendmmsg () {( &__NR_Linux + 302);}' unless defined(&__NR_sendmmsg);
	eval 'sub __NR_setns () {( &__NR_Linux + 303);}' unless defined(&__NR_setns);
	eval 'sub __NR_process_vm_readv () {( &__NR_Linux + 304);}' unless defined(&__NR_process_vm_readv);
	eval 'sub __NR_process_vm_writev () {( &__NR_Linux + 305);}' unless defined(&__NR_process_vm_writev);
	eval 'sub __NR_kcmp () {( &__NR_Linux + 306);}' unless defined(&__NR_kcmp);
	eval 'sub __NR_finit_module () {( &__NR_Linux + 307);}' unless defined(&__NR_finit_module);
	eval 'sub __NR_getdents64 () {( &__NR_Linux + 308);}' unless defined(&__NR_getdents64);
	eval 'sub __NR_sched_setattr () {( &__NR_Linux + 309);}' unless defined(&__NR_sched_setattr);
	eval 'sub __NR_sched_getattr () {( &__NR_Linux + 310);}' unless defined(&__NR_sched_getattr);
	eval 'sub __NR_renameat2 () {( &__NR_Linux + 311);}' unless defined(&__NR_renameat2);
	eval 'sub __NR_seccomp () {( &__NR_Linux + 312);}' unless defined(&__NR_seccomp);
	eval 'sub __NR_getrandom () {( &__NR_Linux + 313);}' unless defined(&__NR_getrandom);
	eval 'sub __NR_memfd_create () {( &__NR_Linux + 314);}' unless defined(&__NR_memfd_create);
	eval 'sub __NR_bpf () {( &__NR_Linux + 315);}' unless defined(&__NR_bpf);
	eval 'sub __NR_execveat () {( &__NR_Linux + 316);}' unless defined(&__NR_execveat);
	eval 'sub __NR_userfaultfd () {( &__NR_Linux + 317);}' unless defined(&__NR_userfaultfd);
	eval 'sub __NR_membarrier () {( &__NR_Linux + 318);}' unless defined(&__NR_membarrier);
	eval 'sub __NR_mlock2 () {( &__NR_Linux + 319);}' unless defined(&__NR_mlock2);
	eval 'sub __NR_copy_file_range () {( &__NR_Linux + 320);}' unless defined(&__NR_copy_file_range);
	eval 'sub __NR_preadv2 () {( &__NR_Linux + 321);}' unless defined(&__NR_preadv2);
	eval 'sub __NR_pwritev2 () {( &__NR_Linux + 322);}' unless defined(&__NR_pwritev2);
	eval 'sub __NR_pkey_mprotect () {( &__NR_Linux + 323);}' unless defined(&__NR_pkey_mprotect);
	eval 'sub __NR_pkey_alloc () {( &__NR_Linux + 324);}' unless defined(&__NR_pkey_alloc);
	eval 'sub __NR_pkey_free () {( &__NR_Linux + 325);}' unless defined(&__NR_pkey_free);
	eval 'sub __NR_Linux_syscalls () {325;}' unless defined(&__NR_Linux_syscalls);
    }
    eval 'sub __NR_64_Linux () {5000;}' unless defined(&__NR_64_Linux);
    eval 'sub __NR_64_Linux_syscalls () {325;}' unless defined(&__NR_64_Linux_syscalls);
    if((defined(&_MIPS_SIM) ? &_MIPS_SIM : undef) == (defined(&_MIPS_SIM_NABI32) ? &_MIPS_SIM_NABI32 : undef)) {
	eval 'sub __NR_Linux () {6000;}' unless defined(&__NR_Linux);
	eval 'sub __NR_read () {( &__NR_Linux + 0);}' unless defined(&__NR_read);
	eval 'sub __NR_write () {( &__NR_Linux + 1);}' unless defined(&__NR_write);
	eval 'sub __NR_open () {( &__NR_Linux + 2);}' unless defined(&__NR_open);
	eval 'sub __NR_close () {( &__NR_Linux + 3);}' unless defined(&__NR_close);
	eval 'sub __NR_stat () {( &__NR_Linux + 4);}' unless defined(&__NR_stat);
	eval 'sub __NR_fstat () {( &__NR_Linux + 5);}' unless defined(&__NR_fstat);
	eval 'sub __NR_lstat () {( &__NR_Linux + 6);}' unless defined(&__NR_lstat);
	eval 'sub __NR_poll () {( &__NR_Linux + 7);}' unless defined(&__NR_poll);
	eval 'sub __NR_lseek () {( &__NR_Linux + 8);}' unless defined(&__NR_lseek);
	eval 'sub __NR_mmap () {( &__NR_Linux + 9);}' unless defined(&__NR_mmap);
	eval 'sub __NR_mprotect () {( &__NR_Linux + 10);}' unless defined(&__NR_mprotect);
	eval 'sub __NR_munmap () {( &__NR_Linux + 11);}' unless defined(&__NR_munmap);
	eval 'sub __NR_brk () {( &__NR_Linux + 12);}' unless defined(&__NR_brk);
	eval 'sub __NR_rt_sigaction () {( &__NR_Linux + 13);}' unless defined(&__NR_rt_sigaction);
	eval 'sub __NR_rt_sigprocmask () {( &__NR_Linux + 14);}' unless defined(&__NR_rt_sigprocmask);
	eval 'sub __NR_ioctl () {( &__NR_Linux + 15);}' unless defined(&__NR_ioctl);
	eval 'sub __NR_pread64 () {( &__NR_Linux + 16);}' unless defined(&__NR_pread64);
	eval 'sub __NR_pwrite64 () {( &__NR_Linux + 17);}' unless defined(&__NR_pwrite64);
	eval 'sub __NR_readv () {( &__NR_Linux + 18);}' unless defined(&__NR_readv);
	eval 'sub __NR_writev () {( &__NR_Linux + 19);}' unless defined(&__NR_writev);
	eval 'sub __NR_access () {( &__NR_Linux + 20);}' unless defined(&__NR_access);
	eval 'sub __NR_pipe () {( &__NR_Linux + 21);}' unless defined(&__NR_pipe);
	eval 'sub __NR__newselect () {( &__NR_Linux + 22);}' unless defined(&__NR__newselect);
	eval 'sub __NR_sched_yield () {( &__NR_Linux + 23);}' unless defined(&__NR_sched_yield);
	eval 'sub __NR_mremap () {( &__NR_Linux + 24);}' unless defined(&__NR_mremap);
	eval 'sub __NR_msync () {( &__NR_Linux + 25);}' unless defined(&__NR_msync);
	eval 'sub __NR_mincore () {( &__NR_Linux + 26);}' unless defined(&__NR_mincore);
	eval 'sub __NR_madvise () {( &__NR_Linux + 27);}' unless defined(&__NR_madvise);
	eval 'sub __NR_shmget () {( &__NR_Linux + 28);}' unless defined(&__NR_shmget);
	eval 'sub __NR_shmat () {( &__NR_Linux + 29);}' unless defined(&__NR_shmat);
	eval 'sub __NR_shmctl () {( &__NR_Linux + 30);}' unless defined(&__NR_shmctl);
	eval 'sub __NR_dup () {( &__NR_Linux + 31);}' unless defined(&__NR_dup);
	eval 'sub __NR_dup2 () {( &__NR_Linux + 32);}' unless defined(&__NR_dup2);
	eval 'sub __NR_pause () {( &__NR_Linux + 33);}' unless defined(&__NR_pause);
	eval 'sub __NR_nanosleep () {( &__NR_Linux + 34);}' unless defined(&__NR_nanosleep);
	eval 'sub __NR_getitimer () {( &__NR_Linux + 35);}' unless defined(&__NR_getitimer);
	eval 'sub __NR_setitimer () {( &__NR_Linux + 36);}' unless defined(&__NR_setitimer);
	eval 'sub __NR_alarm () {( &__NR_Linux + 37);}' unless defined(&__NR_alarm);
	eval 'sub __NR_getpid () {( &__NR_Linux + 38);}' unless defined(&__NR_getpid);
	eval 'sub __NR_sendfile () {( &__NR_Linux + 39);}' unless defined(&__NR_sendfile);
	eval 'sub __NR_socket () {( &__NR_Linux + 40);}' unless defined(&__NR_socket);
	eval 'sub __NR_connect () {( &__NR_Linux + 41);}' unless defined(&__NR_connect);
	eval 'sub __NR_accept () {( &__NR_Linux + 42);}' unless defined(&__NR_accept);
	eval 'sub __NR_sendto () {( &__NR_Linux + 43);}' unless defined(&__NR_sendto);
	eval 'sub __NR_recvfrom () {( &__NR_Linux + 44);}' unless defined(&__NR_recvfrom);
	eval 'sub __NR_sendmsg () {( &__NR_Linux + 45);}' unless defined(&__NR_sendmsg);
	eval 'sub __NR_recvmsg () {( &__NR_Linux + 46);}' unless defined(&__NR_recvmsg);
	eval 'sub __NR_shutdown () {( &__NR_Linux + 47);}' unless defined(&__NR_shutdown);
	eval 'sub __NR_bind () {( &__NR_Linux + 48);}' unless defined(&__NR_bind);
	eval 'sub __NR_listen () {( &__NR_Linux + 49);}' unless defined(&__NR_listen);
	eval 'sub __NR_getsockname () {( &__NR_Linux + 50);}' unless defined(&__NR_getsockname);
	eval 'sub __NR_getpeername () {( &__NR_Linux + 51);}' unless defined(&__NR_getpeername);
	eval 'sub __NR_socketpair () {( &__NR_Linux + 52);}' unless defined(&__NR_socketpair);
	eval 'sub __NR_setsockopt () {( &__NR_Linux + 53);}' unless defined(&__NR_setsockopt);
	eval 'sub __NR_getsockopt () {( &__NR_Linux + 54);}' unless defined(&__NR_getsockopt);
	eval 'sub __NR_clone () {( &__NR_Linux + 55);}' unless defined(&__NR_clone);
	eval 'sub __NR_fork () {( &__NR_Linux + 56);}' unless defined(&__NR_fork);
	eval 'sub __NR_execve () {( &__NR_Linux + 57);}' unless defined(&__NR_execve);
	eval 'sub __NR_exit () {( &__NR_Linux + 58);}' unless defined(&__NR_exit);
	eval 'sub __NR_wait4 () {( &__NR_Linux + 59);}' unless defined(&__NR_wait4);
	eval 'sub __NR_kill () {( &__NR_Linux + 60);}' unless defined(&__NR_kill);
	eval 'sub __NR_uname () {( &__NR_Linux + 61);}' unless defined(&__NR_uname);
	eval 'sub __NR_semget () {( &__NR_Linux + 62);}' unless defined(&__NR_semget);
	eval 'sub __NR_semop () {( &__NR_Linux + 63);}' unless defined(&__NR_semop);
	eval 'sub __NR_semctl () {( &__NR_Linux + 64);}' unless defined(&__NR_semctl);
	eval 'sub __NR_shmdt () {( &__NR_Linux + 65);}' unless defined(&__NR_shmdt);
	eval 'sub __NR_msgget () {( &__NR_Linux + 66);}' unless defined(&__NR_msgget);
	eval 'sub __NR_msgsnd () {( &__NR_Linux + 67);}' unless defined(&__NR_msgsnd);
	eval 'sub __NR_msgrcv () {( &__NR_Linux + 68);}' unless defined(&__NR_msgrcv);
	eval 'sub __NR_msgctl () {( &__NR_Linux + 69);}' unless defined(&__NR_msgctl);
	eval 'sub __NR_fcntl () {( &__NR_Linux + 70);}' unless defined(&__NR_fcntl);
	eval 'sub __NR_flock () {( &__NR_Linux + 71);}' unless defined(&__NR_flock);
	eval 'sub __NR_fsync () {( &__NR_Linux + 72);}' unless defined(&__NR_fsync);
	eval 'sub __NR_fdatasync () {( &__NR_Linux + 73);}' unless defined(&__NR_fdatasync);
	eval 'sub __NR_truncate () {( &__NR_Linux + 74);}' unless defined(&__NR_truncate);
	eval 'sub __NR_ftruncate () {( &__NR_Linux + 75);}' unless defined(&__NR_ftruncate);
	eval 'sub __NR_getdents () {( &__NR_Linux + 76);}' unless defined(&__NR_getdents);
	eval 'sub __NR_getcwd () {( &__NR_Linux + 77);}' unless defined(&__NR_getcwd);
	eval 'sub __NR_chdir () {( &__NR_Linux + 78);}' unless defined(&__NR_chdir);
	eval 'sub __NR_fchdir () {( &__NR_Linux + 79);}' unless defined(&__NR_fchdir);
	eval 'sub __NR_rename () {( &__NR_Linux + 80);}' unless defined(&__NR_rename);
	eval 'sub __NR_mkdir () {( &__NR_Linux + 81);}' unless defined(&__NR_mkdir);
	eval 'sub __NR_rmdir () {( &__NR_Linux + 82);}' unless defined(&__NR_rmdir);
	eval 'sub __NR_creat () {( &__NR_Linux + 83);}' unless defined(&__NR_creat);
	eval 'sub __NR_link () {( &__NR_Linux + 84);}' unless defined(&__NR_link);
	eval 'sub __NR_unlink () {( &__NR_Linux + 85);}' unless defined(&__NR_unlink);
	eval 'sub __NR_symlink () {( &__NR_Linux + 86);}' unless defined(&__NR_symlink);
	eval 'sub __NR_readlink () {( &__NR_Linux + 87);}' unless defined(&__NR_readlink);
	eval 'sub __NR_chmod () {( &__NR_Linux + 88);}' unless defined(&__NR_chmod);
	eval 'sub __NR_fchmod () {( &__NR_Linux + 89);}' unless defined(&__NR_fchmod);
	eval 'sub __NR_chown () {( &__NR_Linux + 90);}' unless defined(&__NR_chown);
	eval 'sub __NR_fchown () {( &__NR_Linux + 91);}' unless defined(&__NR_fchown);
	eval 'sub __NR_lchown () {( &__NR_Linux + 92);}' unless defined(&__NR_lchown);
	eval 'sub __NR_umask () {( &__NR_Linux + 93);}' unless defined(&__NR_umask);
	eval 'sub __NR_gettimeofday () {( &__NR_Linux + 94);}' unless defined(&__NR_gettimeofday);
	eval 'sub __NR_getrlimit () {( &__NR_Linux + 95);}' unless defined(&__NR_getrlimit);
	eval 'sub __NR_getrusage () {( &__NR_Linux + 96);}' unless defined(&__NR_getrusage);
	eval 'sub __NR_sysinfo () {( &__NR_Linux + 97);}' unless defined(&__NR_sysinfo);
	eval 'sub __NR_times () {( &__NR_Linux + 98);}' unless defined(&__NR_times);
	eval 'sub __NR_ptrace () {( &__NR_Linux + 99);}' unless defined(&__NR_ptrace);
	eval 'sub __NR_getuid () {( &__NR_Linux + 100);}' unless defined(&__NR_getuid);
	eval 'sub __NR_syslog () {( &__NR_Linux + 101);}' unless defined(&__NR_syslog);
	eval 'sub __NR_getgid () {( &__NR_Linux + 102);}' unless defined(&__NR_getgid);
	eval 'sub __NR_setuid () {( &__NR_Linux + 103);}' unless defined(&__NR_setuid);
	eval 'sub __NR_setgid () {( &__NR_Linux + 104);}' unless defined(&__NR_setgid);
	eval 'sub __NR_geteuid () {( &__NR_Linux + 105);}' unless defined(&__NR_geteuid);
	eval 'sub __NR_getegid () {( &__NR_Linux + 106);}' unless defined(&__NR_getegid);
	eval 'sub __NR_setpgid () {( &__NR_Linux + 107);}' unless defined(&__NR_setpgid);
	eval 'sub __NR_getppid () {( &__NR_Linux + 108);}' unless defined(&__NR_getppid);
	eval 'sub __NR_getpgrp () {( &__NR_Linux + 109);}' unless defined(&__NR_getpgrp);
	eval 'sub __NR_setsid () {( &__NR_Linux + 110);}' unless defined(&__NR_setsid);
	eval 'sub __NR_setreuid () {( &__NR_Linux + 111);}' unless defined(&__NR_setreuid);
	eval 'sub __NR_setregid () {( &__NR_Linux + 112);}' unless defined(&__NR_setregid);
	eval 'sub __NR_getgroups () {( &__NR_Linux + 113);}' unless defined(&__NR_getgroups);
	eval 'sub __NR_setgroups () {( &__NR_Linux + 114);}' unless defined(&__NR_setgroups);
	eval 'sub __NR_setresuid () {( &__NR_Linux + 115);}' unless defined(&__NR_setresuid);
	eval 'sub __NR_getresuid () {( &__NR_Linux + 116);}' unless defined(&__NR_getresuid);
	eval 'sub __NR_setresgid () {( &__NR_Linux + 117);}' unless defined(&__NR_setresgid);
	eval 'sub __NR_getresgid () {( &__NR_Linux + 118);}' unless defined(&__NR_getresgid);
	eval 'sub __NR_getpgid () {( &__NR_Linux + 119);}' unless defined(&__NR_getpgid);
	eval 'sub __NR_setfsuid () {( &__NR_Linux + 120);}' unless defined(&__NR_setfsuid);
	eval 'sub __NR_setfsgid () {( &__NR_Linux + 121);}' unless defined(&__NR_setfsgid);
	eval 'sub __NR_getsid () {( &__NR_Linux + 122);}' unless defined(&__NR_getsid);
	eval 'sub __NR_capget () {( &__NR_Linux + 123);}' unless defined(&__NR_capget);
	eval 'sub __NR_capset () {( &__NR_Linux + 124);}' unless defined(&__NR_capset);
	eval 'sub __NR_rt_sigpending () {( &__NR_Linux + 125);}' unless defined(&__NR_rt_sigpending);
	eval 'sub __NR_rt_sigtimedwait () {( &__NR_Linux + 126);}' unless defined(&__NR_rt_sigtimedwait);
	eval 'sub __NR_rt_sigqueueinfo () {( &__NR_Linux + 127);}' unless defined(&__NR_rt_sigqueueinfo);
	eval 'sub __NR_rt_sigsuspend () {( &__NR_Linux + 128);}' unless defined(&__NR_rt_sigsuspend);
	eval 'sub __NR_sigaltstack () {( &__NR_Linux + 129);}' unless defined(&__NR_sigaltstack);
	eval 'sub __NR_utime () {( &__NR_Linux + 130);}' unless defined(&__NR_utime);
	eval 'sub __NR_mknod () {( &__NR_Linux + 131);}' unless defined(&__NR_mknod);
	eval 'sub __NR_personality () {( &__NR_Linux + 132);}' unless defined(&__NR_personality);
	eval 'sub __NR_ustat () {( &__NR_Linux + 133);}' unless defined(&__NR_ustat);
	eval 'sub __NR_statfs () {( &__NR_Linux + 134);}' unless defined(&__NR_statfs);
	eval 'sub __NR_fstatfs () {( &__NR_Linux + 135);}' unless defined(&__NR_fstatfs);
	eval 'sub __NR_sysfs () {( &__NR_Linux + 136);}' unless defined(&__NR_sysfs);
	eval 'sub __NR_getpriority () {( &__NR_Linux + 137);}' unless defined(&__NR_getpriority);
	eval 'sub __NR_setpriority () {( &__NR_Linux + 138);}' unless defined(&__NR_setpriority);
	eval 'sub __NR_sched_setparam () {( &__NR_Linux + 139);}' unless defined(&__NR_sched_setparam);
	eval 'sub __NR_sched_getparam () {( &__NR_Linux + 140);}' unless defined(&__NR_sched_getparam);
	eval 'sub __NR_sched_setscheduler () {( &__NR_Linux + 141);}' unless defined(&__NR_sched_setscheduler);
	eval 'sub __NR_sched_getscheduler () {( &__NR_Linux + 142);}' unless defined(&__NR_sched_getscheduler);
	eval 'sub __NR_sched_get_priority_max () {( &__NR_Linux + 143);}' unless defined(&__NR_sched_get_priority_max);
	eval 'sub __NR_sched_get_priority_min () {( &__NR_Linux + 144);}' unless defined(&__NR_sched_get_priority_min);
	eval 'sub __NR_sched_rr_get_interval () {( &__NR_Linux + 145);}' unless defined(&__NR_sched_rr_get_interval);
	eval 'sub __NR_mlock () {( &__NR_Linux + 146);}' unless defined(&__NR_mlock);
	eval 'sub __NR_munlock () {( &__NR_Linux + 147);}' unless defined(&__NR_munlock);
	eval 'sub __NR_mlockall () {( &__NR_Linux + 148);}' unless defined(&__NR_mlockall);
	eval 'sub __NR_munlockall () {( &__NR_Linux + 149);}' unless defined(&__NR_munlockall);
	eval 'sub __NR_vhangup () {( &__NR_Linux + 150);}' unless defined(&__NR_vhangup);
	eval 'sub __NR_pivot_root () {( &__NR_Linux + 151);}' unless defined(&__NR_pivot_root);
	eval 'sub __NR__sysctl () {( &__NR_Linux + 152);}' unless defined(&__NR__sysctl);
	eval 'sub __NR_prctl () {( &__NR_Linux + 153);}' unless defined(&__NR_prctl);
	eval 'sub __NR_adjtimex () {( &__NR_Linux + 154);}' unless defined(&__NR_adjtimex);
	eval 'sub __NR_setrlimit () {( &__NR_Linux + 155);}' unless defined(&__NR_setrlimit);
	eval 'sub __NR_chroot () {( &__NR_Linux + 156);}' unless defined(&__NR_chroot);
	eval 'sub __NR_sync () {( &__NR_Linux + 157);}' unless defined(&__NR_sync);
	eval 'sub __NR_acct () {( &__NR_Linux + 158);}' unless defined(&__NR_acct);
	eval 'sub __NR_settimeofday () {( &__NR_Linux + 159);}' unless defined(&__NR_settimeofday);
	eval 'sub __NR_mount () {( &__NR_Linux + 160);}' unless defined(&__NR_mount);
	eval 'sub __NR_umount2 () {( &__NR_Linux + 161);}' unless defined(&__NR_umount2);
	eval 'sub __NR_swapon () {( &__NR_Linux + 162);}' unless defined(&__NR_swapon);
	eval 'sub __NR_swapoff () {( &__NR_Linux + 163);}' unless defined(&__NR_swapoff);
	eval 'sub __NR_reboot () {( &__NR_Linux + 164);}' unless defined(&__NR_reboot);
	eval 'sub __NR_sethostname () {( &__NR_Linux + 165);}' unless defined(&__NR_sethostname);
	eval 'sub __NR_setdomainname () {( &__NR_Linux + 166);}' unless defined(&__NR_setdomainname);
	eval 'sub __NR_create_module () {( &__NR_Linux + 167);}' unless defined(&__NR_create_module);
	eval 'sub __NR_init_module () {( &__NR_Linux + 168);}' unless defined(&__NR_init_module);
	eval 'sub __NR_delete_module () {( &__NR_Linux + 169);}' unless defined(&__NR_delete_module);
	eval 'sub __NR_get_kernel_syms () {( &__NR_Linux + 170);}' unless defined(&__NR_get_kernel_syms);
	eval 'sub __NR_query_module () {( &__NR_Linux + 171);}' unless defined(&__NR_query_module);
	eval 'sub __NR_quotactl () {( &__NR_Linux + 172);}' unless defined(&__NR_quotactl);
	eval 'sub __NR_nfsservctl () {( &__NR_Linux + 173);}' unless defined(&__NR_nfsservctl);
	eval 'sub __NR_getpmsg () {( &__NR_Linux + 174);}' unless defined(&__NR_getpmsg);
	eval 'sub __NR_putpmsg () {( &__NR_Linux + 175);}' unless defined(&__NR_putpmsg);
	eval 'sub __NR_afs_syscall () {( &__NR_Linux + 176);}' unless defined(&__NR_afs_syscall);
	eval 'sub __NR_reserved177 () {( &__NR_Linux + 177);}' unless defined(&__NR_reserved177);
	eval 'sub __NR_gettid () {( &__NR_Linux + 178);}' unless defined(&__NR_gettid);
	eval 'sub __NR_readahead () {( &__NR_Linux + 179);}' unless defined(&__NR_readahead);
	eval 'sub __NR_setxattr () {( &__NR_Linux + 180);}' unless defined(&__NR_setxattr);
	eval 'sub __NR_lsetxattr () {( &__NR_Linux + 181);}' unless defined(&__NR_lsetxattr);
	eval 'sub __NR_fsetxattr () {( &__NR_Linux + 182);}' unless defined(&__NR_fsetxattr);
	eval 'sub __NR_getxattr () {( &__NR_Linux + 183);}' unless defined(&__NR_getxattr);
	eval 'sub __NR_lgetxattr () {( &__NR_Linux + 184);}' unless defined(&__NR_lgetxattr);
	eval 'sub __NR_fgetxattr () {( &__NR_Linux + 185);}' unless defined(&__NR_fgetxattr);
	eval 'sub __NR_listxattr () {( &__NR_Linux + 186);}' unless defined(&__NR_listxattr);
	eval 'sub __NR_llistxattr () {( &__NR_Linux + 187);}' unless defined(&__NR_llistxattr);
	eval 'sub __NR_flistxattr () {( &__NR_Linux + 188);}' unless defined(&__NR_flistxattr);
	eval 'sub __NR_removexattr () {( &__NR_Linux + 189);}' unless defined(&__NR_removexattr);
	eval 'sub __NR_lremovexattr () {( &__NR_Linux + 190);}' unless defined(&__NR_lremovexattr);
	eval 'sub __NR_fremovexattr () {( &__NR_Linux + 191);}' unless defined(&__NR_fremovexattr);
	eval 'sub __NR_tkill () {( &__NR_Linux + 192);}' unless defined(&__NR_tkill);
	eval 'sub __NR_reserved193 () {( &__NR_Linux + 193);}' unless defined(&__NR_reserved193);
	eval 'sub __NR_futex () {( &__NR_Linux + 194);}' unless defined(&__NR_futex);
	eval 'sub __NR_sched_setaffinity () {( &__NR_Linux + 195);}' unless defined(&__NR_sched_setaffinity);
	eval 'sub __NR_sched_getaffinity () {( &__NR_Linux + 196);}' unless defined(&__NR_sched_getaffinity);
	eval 'sub __NR_cacheflush () {( &__NR_Linux + 197);}' unless defined(&__NR_cacheflush);
	eval 'sub __NR_cachectl () {( &__NR_Linux + 198);}' unless defined(&__NR_cachectl);
	eval 'sub __NR_sysmips () {( &__NR_Linux + 199);}' unless defined(&__NR_sysmips);
	eval 'sub __NR_io_setup () {( &__NR_Linux + 200);}' unless defined(&__NR_io_setup);
	eval 'sub __NR_io_destroy () {( &__NR_Linux + 201);}' unless defined(&__NR_io_destroy);
	eval 'sub __NR_io_getevents () {( &__NR_Linux + 202);}' unless defined(&__NR_io_getevents);
	eval 'sub __NR_io_submit () {( &__NR_Linux + 203);}' unless defined(&__NR_io_submit);
	eval 'sub __NR_io_cancel () {( &__NR_Linux + 204);}' unless defined(&__NR_io_cancel);
	eval 'sub __NR_exit_group () {( &__NR_Linux + 205);}' unless defined(&__NR_exit_group);
	eval 'sub __NR_lookup_dcookie () {( &__NR_Linux + 206);}' unless defined(&__NR_lookup_dcookie);
	eval 'sub __NR_epoll_create () {( &__NR_Linux + 207);}' unless defined(&__NR_epoll_create);
	eval 'sub __NR_epoll_ctl () {( &__NR_Linux + 208);}' unless defined(&__NR_epoll_ctl);
	eval 'sub __NR_epoll_wait () {( &__NR_Linux + 209);}' unless defined(&__NR_epoll_wait);
	eval 'sub __NR_remap_file_pages () {( &__NR_Linux + 210);}' unless defined(&__NR_remap_file_pages);
	eval 'sub __NR_rt_sigreturn () {( &__NR_Linux + 211);}' unless defined(&__NR_rt_sigreturn);
	eval 'sub __NR_fcntl64 () {( &__NR_Linux + 212);}' unless defined(&__NR_fcntl64);
	eval 'sub __NR_set_tid_address () {( &__NR_Linux + 213);}' unless defined(&__NR_set_tid_address);
	eval 'sub __NR_restart_syscall () {( &__NR_Linux + 214);}' unless defined(&__NR_restart_syscall);
	eval 'sub __NR_semtimedop () {( &__NR_Linux + 215);}' unless defined(&__NR_semtimedop);
	eval 'sub __NR_fadvise64 () {( &__NR_Linux + 216);}' unless defined(&__NR_fadvise64);
	eval 'sub __NR_statfs64 () {( &__NR_Linux + 217);}' unless defined(&__NR_statfs64);
	eval 'sub __NR_fstatfs64 () {( &__NR_Linux + 218);}' unless defined(&__NR_fstatfs64);
	eval 'sub __NR_sendfile64 () {( &__NR_Linux + 219);}' unless defined(&__NR_sendfile64);
	eval 'sub __NR_timer_create () {( &__NR_Linux + 220);}' unless defined(&__NR_timer_create);
	eval 'sub __NR_timer_settime () {( &__NR_Linux + 221);}' unless defined(&__NR_timer_settime);
	eval 'sub __NR_timer_gettime () {( &__NR_Linux + 222);}' unless defined(&__NR_timer_gettime);
	eval 'sub __NR_timer_getoverrun () {( &__NR_Linux + 223);}' unless defined(&__NR_timer_getoverrun);
	eval 'sub __NR_timer_delete () {( &__NR_Linux + 224);}' unless defined(&__NR_timer_delete);
	eval 'sub __NR_clock_settime () {( &__NR_Linux + 225);}' unless defined(&__NR_clock_settime);
	eval 'sub __NR_clock_gettime () {( &__NR_Linux + 226);}' unless defined(&__NR_clock_gettime);
	eval 'sub __NR_clock_getres () {( &__NR_Linux + 227);}' unless defined(&__NR_clock_getres);
	eval 'sub __NR_clock_nanosleep () {( &__NR_Linux + 228);}' unless defined(&__NR_clock_nanosleep);
	eval 'sub __NR_tgkill () {( &__NR_Linux + 229);}' unless defined(&__NR_tgkill);
	eval 'sub __NR_utimes () {( &__NR_Linux + 230);}' unless defined(&__NR_utimes);
	eval 'sub __NR_mbind () {( &__NR_Linux + 231);}' unless defined(&__NR_mbind);
	eval 'sub __NR_get_mempolicy () {( &__NR_Linux + 232);}' unless defined(&__NR_get_mempolicy);
	eval 'sub __NR_set_mempolicy () {( &__NR_Linux + 233);}' unless defined(&__NR_set_mempolicy);
	eval 'sub __NR_mq_open () {( &__NR_Linux + 234);}' unless defined(&__NR_mq_open);
	eval 'sub __NR_mq_unlink () {( &__NR_Linux + 235);}' unless defined(&__NR_mq_unlink);
	eval 'sub __NR_mq_timedsend () {( &__NR_Linux + 236);}' unless defined(&__NR_mq_timedsend);
	eval 'sub __NR_mq_timedreceive () {( &__NR_Linux + 237);}' unless defined(&__NR_mq_timedreceive);
	eval 'sub __NR_mq_notify () {( &__NR_Linux + 238);}' unless defined(&__NR_mq_notify);
	eval 'sub __NR_mq_getsetattr () {( &__NR_Linux + 239);}' unless defined(&__NR_mq_getsetattr);
	eval 'sub __NR_vserver () {( &__NR_Linux + 240);}' unless defined(&__NR_vserver);
	eval 'sub __NR_waitid () {( &__NR_Linux + 241);}' unless defined(&__NR_waitid);
	eval 'sub __NR_add_key () {( &__NR_Linux + 243);}' unless defined(&__NR_add_key);
	eval 'sub __NR_request_key () {( &__NR_Linux + 244);}' unless defined(&__NR_request_key);
	eval 'sub __NR_keyctl () {( &__NR_Linux + 245);}' unless defined(&__NR_keyctl);
	eval 'sub __NR_set_thread_area () {( &__NR_Linux + 246);}' unless defined(&__NR_set_thread_area);
	eval 'sub __NR_inotify_init () {( &__NR_Linux + 247);}' unless defined(&__NR_inotify_init);
	eval 'sub __NR_inotify_add_watch () {( &__NR_Linux + 248);}' unless defined(&__NR_inotify_add_watch);
	eval 'sub __NR_inotify_rm_watch () {( &__NR_Linux + 249);}' unless defined(&__NR_inotify_rm_watch);
	eval 'sub __NR_migrate_pages () {( &__NR_Linux + 250);}' unless defined(&__NR_migrate_pages);
	eval 'sub __NR_openat () {( &__NR_Linux + 251);}' unless defined(&__NR_openat);
	eval 'sub __NR_mkdirat () {( &__NR_Linux + 252);}' unless defined(&__NR_mkdirat);
	eval 'sub __NR_mknodat () {( &__NR_Linux + 253);}' unless defined(&__NR_mknodat);
	eval 'sub __NR_fchownat () {( &__NR_Linux + 254);}' unless defined(&__NR_fchownat);
	eval 'sub __NR_futimesat () {( &__NR_Linux + 255);}' unless defined(&__NR_futimesat);
	eval 'sub __NR_newfstatat () {( &__NR_Linux + 256);}' unless defined(&__NR_newfstatat);
	eval 'sub __NR_unlinkat () {( &__NR_Linux + 257);}' unless defined(&__NR_unlinkat);
	eval 'sub __NR_renameat () {( &__NR_Linux + 258);}' unless defined(&__NR_renameat);
	eval 'sub __NR_linkat () {( &__NR_Linux + 259);}' unless defined(&__NR_linkat);
	eval 'sub __NR_symlinkat () {( &__NR_Linux + 260);}' unless defined(&__NR_symlinkat);
	eval 'sub __NR_readlinkat () {( &__NR_Linux + 261);}' unless defined(&__NR_readlinkat);
	eval 'sub __NR_fchmodat () {( &__NR_Linux + 262);}' unless defined(&__NR_fchmodat);
	eval 'sub __NR_faccessat () {( &__NR_Linux + 263);}' unless defined(&__NR_faccessat);
	eval 'sub __NR_pselect6 () {( &__NR_Linux + 264);}' unless defined(&__NR_pselect6);
	eval 'sub __NR_ppoll () {( &__NR_Linux + 265);}' unless defined(&__NR_ppoll);
	eval 'sub __NR_unshare () {( &__NR_Linux + 266);}' unless defined(&__NR_unshare);
	eval 'sub __NR_splice () {( &__NR_Linux + 267);}' unless defined(&__NR_splice);
	eval 'sub __NR_sync_file_range () {( &__NR_Linux + 268);}' unless defined(&__NR_sync_file_range);
	eval 'sub __NR_tee () {( &__NR_Linux + 269);}' unless defined(&__NR_tee);
	eval 'sub __NR_vmsplice () {( &__NR_Linux + 270);}' unless defined(&__NR_vmsplice);
	eval 'sub __NR_move_pages () {( &__NR_Linux + 271);}' unless defined(&__NR_move_pages);
	eval 'sub __NR_set_robust_list () {( &__NR_Linux + 272);}' unless defined(&__NR_set_robust_list);
	eval 'sub __NR_get_robust_list () {( &__NR_Linux + 273);}' unless defined(&__NR_get_robust_list);
	eval 'sub __NR_kexec_load () {( &__NR_Linux + 274);}' unless defined(&__NR_kexec_load);
	eval 'sub __NR_getcpu () {( &__NR_Linux + 275);}' unless defined(&__NR_getcpu);
	eval 'sub __NR_epoll_pwait () {( &__NR_Linux + 276);}' unless defined(&__NR_epoll_pwait);
	eval 'sub __NR_ioprio_set () {( &__NR_Linux + 277);}' unless defined(&__NR_ioprio_set);
	eval 'sub __NR_ioprio_get () {( &__NR_Linux + 278);}' unless defined(&__NR_ioprio_get);
	eval 'sub __NR_utimensat () {( &__NR_Linux + 279);}' unless defined(&__NR_utimensat);
	eval 'sub __NR_signalfd () {( &__NR_Linux + 280);}' unless defined(&__NR_signalfd);
	eval 'sub __NR_timerfd () {( &__NR_Linux + 281);}' unless defined(&__NR_timerfd);
	eval 'sub __NR_eventfd () {( &__NR_Linux + 282);}' unless defined(&__NR_eventfd);
	eval 'sub __NR_fallocate () {( &__NR_Linux + 283);}' unless defined(&__NR_fallocate);
	eval 'sub __NR_timerfd_create () {( &__NR_Linux + 284);}' unless defined(&__NR_timerfd_create);
	eval 'sub __NR_timerfd_gettime () {( &__NR_Linux + 285);}' unless defined(&__NR_timerfd_gettime);
	eval 'sub __NR_timerfd_settime () {( &__NR_Linux + 286);}' unless defined(&__NR_timerfd_settime);
	eval 'sub __NR_signalfd4 () {( &__NR_Linux + 287);}' unless defined(&__NR_signalfd4);
	eval 'sub __NR_eventfd2 () {( &__NR_Linux + 288);}' unless defined(&__NR_eventfd2);
	eval 'sub __NR_epoll_create1 () {( &__NR_Linux + 289);}' unless defined(&__NR_epoll_create1);
	eval 'sub __NR_dup3 () {( &__NR_Linux + 290);}' unless defined(&__NR_dup3);
	eval 'sub __NR_pipe2 () {( &__NR_Linux + 291);}' unless defined(&__NR_pipe2);
	eval 'sub __NR_inotify_init1 () {( &__NR_Linux + 292);}' unless defined(&__NR_inotify_init1);
	eval 'sub __NR_preadv () {( &__NR_Linux + 293);}' unless defined(&__NR_preadv);
	eval 'sub __NR_pwritev () {( &__NR_Linux + 294);}' unless defined(&__NR_pwritev);
	eval 'sub __NR_rt_tgsigqueueinfo () {( &__NR_Linux + 295);}' unless defined(&__NR_rt_tgsigqueueinfo);
	eval 'sub __NR_perf_event_open () {( &__NR_Linux + 296);}' unless defined(&__NR_perf_event_open);
	eval 'sub __NR_accept4 () {( &__NR_Linux + 297);}' unless defined(&__NR_accept4);
	eval 'sub __NR_recvmmsg () {( &__NR_Linux + 298);}' unless defined(&__NR_recvmmsg);
	eval 'sub __NR_getdents64 () {( &__NR_Linux + 299);}' unless defined(&__NR_getdents64);
	eval 'sub __NR_fanotify_init () {( &__NR_Linux + 300);}' unless defined(&__NR_fanotify_init);
	eval 'sub __NR_fanotify_mark () {( &__NR_Linux + 301);}' unless defined(&__NR_fanotify_mark);
	eval 'sub __NR_prlimit64 () {( &__NR_Linux + 302);}' unless defined(&__NR_prlimit64);
	eval 'sub __NR_name_to_handle_at () {( &__NR_Linux + 303);}' unless defined(&__NR_name_to_handle_at);
	eval 'sub __NR_open_by_handle_at () {( &__NR_Linux + 304);}' unless defined(&__NR_open_by_handle_at);
	eval 'sub __NR_clock_adjtime () {( &__NR_Linux + 305);}' unless defined(&__NR_clock_adjtime);
	eval 'sub __NR_syncfs () {( &__NR_Linux + 306);}' unless defined(&__NR_syncfs);
	eval 'sub __NR_sendmmsg () {( &__NR_Linux + 307);}' unless defined(&__NR_sendmmsg);
	eval 'sub __NR_setns () {( &__NR_Linux + 308);}' unless defined(&__NR_setns);
	eval 'sub __NR_process_vm_readv () {( &__NR_Linux + 309);}' unless defined(&__NR_process_vm_readv);
	eval 'sub __NR_process_vm_writev () {( &__NR_Linux + 310);}' unless defined(&__NR_process_vm_writev);
	eval 'sub __NR_kcmp () {( &__NR_Linux + 311);}' unless defined(&__NR_kcmp);
	eval 'sub __NR_finit_module () {( &__NR_Linux + 312);}' unless defined(&__NR_finit_module);
	eval 'sub __NR_sched_setattr () {( &__NR_Linux + 313);}' unless defined(&__NR_sched_setattr);
	eval 'sub __NR_sched_getattr () {( &__NR_Linux + 314);}' unless defined(&__NR_sched_getattr);
	eval 'sub __NR_renameat2 () {( &__NR_Linux + 315);}' unless defined(&__NR_renameat2);
	eval 'sub __NR_seccomp () {( &__NR_Linux + 316);}' unless defined(&__NR_seccomp);
	eval 'sub __NR_getrandom () {( &__NR_Linux + 317);}' unless defined(&__NR_getrandom);
	eval 'sub __NR_memfd_create () {( &__NR_Linux + 318);}' unless defined(&__NR_memfd_create);
	eval 'sub __NR_bpf () {( &__NR_Linux + 319);}' unless defined(&__NR_bpf);
	eval 'sub __NR_execveat () {( &__NR_Linux + 320);}' unless defined(&__NR_execveat);
	eval 'sub __NR_userfaultfd () {( &__NR_Linux + 321);}' unless defined(&__NR_userfaultfd);
	eval 'sub __NR_membarrier () {( &__NR_Linux + 322);}' unless defined(&__NR_membarrier);
	eval 'sub __NR_mlock2 () {( &__NR_Linux + 323);}' unless defined(&__NR_mlock2);
	eval 'sub __NR_copy_file_range () {( &__NR_Linux + 324);}' unless defined(&__NR_copy_file_range);
	eval 'sub __NR_preadv2 () {( &__NR_Linux + 325);}' unless defined(&__NR_preadv2);
	eval 'sub __NR_pwritev2 () {( &__NR_Linux + 326);}' unless defined(&__NR_pwritev2);
	eval 'sub __NR_pkey_mprotect () {( &__NR_Linux + 327);}' unless defined(&__NR_pkey_mprotect);
	eval 'sub __NR_pkey_alloc () {( &__NR_Linux + 328);}' unless defined(&__NR_pkey_alloc);
	eval 'sub __NR_pkey_free () {( &__NR_Linux + 329);}' unless defined(&__NR_pkey_free);
	eval 'sub __NR_Linux_syscalls () {329;}' unless defined(&__NR_Linux_syscalls);
    }
    eval 'sub __NR_N32_Linux () {6000;}' unless defined(&__NR_N32_Linux);
    eval 'sub __NR_N32_Linux_syscalls () {329;}' unless defined(&__NR_N32_Linux_syscalls);
}
1;
